<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../../gUtil/DbManager.php";
    include "../../costanti.php";
    include "../../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
        exit();
    }
    else {
        $geecomDb = new DbManager($costantiDatabase);
 
        //prendo i valori dalla form
        $gruppiDestinatari = $_POST["idGruppi"];
        $inviaNotifica     = $geecomDb->escapeString($_POST["notifica"]);
        $oggetto           = $geecomDb->escapeString($_POST["oggetto"]);
        $testo             = $geecomDb->escapeString($_POST["testo"]);

        $data = date("Y-m-d");
        $queryNuovoMessaggio="INSERT INTO geecAd_comunicazioni VALUES(NULL,{$_SESSION["geecomAdmin_id"]},'comunicazione','','','$oggetto','$testo','{$_SESSION["geecomAdmin_nomeCognome"]}','$data');";
        $geecomDb->eseguiQueryScrittura($queryNuovoMessaggio);
        $idComunicazione = $geecomDb->idUltimoElemento();

        // se è stato selezionato l'invio della notifica vengono inviate le email
        if($inviaNotifica=="si") {
            if(count($gruppiDestinatari)>0) {
                foreach($gruppiDestinatari as $gruppoDestinatario) {
                    $queryInserimentoGruppi="INSERT INTO geecAd_gruppiDestinatari VALUES(NULL,$idComunicazione,0,$gruppoDestinatario)";
                    $geecomDb->eseguiQueryScrittura($queryInserimentoGruppi);
                }

                //estraggo dal db tutti gli utenti a cui bisogna inviare l'email
                $queryUtenti="SELECT * FROM geecAd_gruppiUtenti AS gu JOIN geecAd_utenti AS u ON gu.idUtente = u.id WHERE gu.idGruppo IN (SELECT idGruppoDestinatario FROM geecAd_gruppiDestinatari WHERE idComunicazione=$idComunicazione)";
                $impostazioni = recuperaImpostazioni($geecomDb);

                $risUtenti = $geecomDb->eseguiQueryLettura($queryUtenti);

                require "../../phpMailer/class.phpmailer.php";
                require "../../phpMailer/class.smtp.php";
                $messaggio = new PHPmailer();

                //invio le email a tutti gli utenti interessati
                inviaEmail($messaggio,$impostazioni,$risUtenti,$oggetto,$testo);
            }
        }
        header("Location: ../gestioneComunicazioni.php?status=1");
    }