<?php 
    /**
    *
    * copyright (c) 2013-2015 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../gUtil/DbManager.php";
    include "../costanti.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || ($_SESSION["geecomAdmin_ruolo"]!="super admin" && $_SESSION["geecomAdmin_ruolo"]!="amministratore") ) {
        header("Location: index.php");
    }
    else {
        $geecomDb = new DbManager($costantiDatabase);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom admin - crea comunicazione </title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

<!-- stile Multiple Select -->
  <link href="../template/css/multiple-select.css" rel="stylesheet" />
  
</head>

<body>
<div id="wrap">
    
    <!-- barra superiore -->
	<?php  
		include "include/barraSuperiore.php";
	?>
    <!-- /barra superiore -->
    
    <!-- header di pagina -->
	<?php 
		include "include/header.php";
	?>
    <!-- /header di pagina -->
    
    <!-- riga menu principale -->
	<?php 
		include "include/menuPrincipale.php";
	?>
    <!-- /riga menu principale -->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
		if(isset($_GET["status"])) {
			if($_GET["status"]==5) {
				echo"<p class=\"alert alert-success\">Associazione rimossa, ora si può selezionare una nuova galleria</p>";
			}
		}
	?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" class="col-lg-8 col-md-8 col-sm-12 col-xs-12">

      <div class="panel panel-default">
        <div class="panel-heading">Crea una nuova risorsa</div>
        
        <!-- form -->
             <form class="form-horizontal" role="form" name="formCreazioneRisorsa" action="risorse/aggiungiRisorsa.php" method="post" enctype="multipart/form-data">
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="nomeRisorsa" name="nome" placeholder="Nome">
            </div>
          </div>
          
          <div class="form-group">
            <label for="textarea1" class="col-sm-3 control-label">Descrizione</label>
            <div class="col-sm-9">
              <textarea class="form-control" rows="3" id="textarea1" name="descrizione" placeholder="Inserisci qui il testo"></textarea>
            </div>
            
             <input type="text" class="hidden" name="idUtente" value=0>
          </div>
          
           <div class="form-group">
            <label for="selectEsempio1"class="col-sm-3 control-label">Categoria</label>
            <div class="col-sm-4">
            <select class="form-control" name="categoria">
               <option value="nessuna categoria">nessuna categoria</option>
              	<?php 
     			$queryNomiCategorie = "SELECT * FROM geecAd_categorieRisorse";
     			if($risCategorie = $geecomDb->query($queryNomiCategorie)) {
					while($categoria=$risCategorie->fetch_assoc()) {
						echo"<option value=\"{$categoria["nome"]}\">{$categoria["nome"]}</option>";
					}
     			}
           		else {
	           		echo "Errore nell'esecuzione della query: ".$geecomDb->error;
	           		exit();
           		}
     		?>
            </select>
            </div>
           </div>
           
          <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Tipo </label>
            <div class="col-sm-9">
                <label class="radio-inline">
                  <input type="radio" name="tipoRisorsa" id="inlineRadio1" value="individuale" onchange="cambiaTipo('individuale')"> individuale
                </label>
                <label class="radio-inline">
                  <input type="radio" name="tipoRisorsa" id="inlineRadio2" value="collettiva" onchange="cambiaTipo('collettiva')" CHECKED> collettiva
                </label>
			</div>
          </div>
          
          <div class="form-group hidden" id="campoEmail">
            <label for="campoTesto1" class="col-sm-3 control-label">Email</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="campoTesto1" name="email" placeholder="Nome">
            </div>
          </div>
          
          <div class="form-group" id="selectGruppo">
            <label for="selectEsempio1"class="col-sm-3 control-label">Seleziona i gruppi </label>
             <div class="col-sm-5">
		   <select name="idGruppi[]" id="idGruppo" multiple="multiple">
		   <?php 
              		$queryGruppi = "SELECT * FROM geecAd_gruppi";
				if(!$risGruppi = $geecomDb->query($queryGruppi)) {
					echo "Ciao".$geecomDb->error;
					exit();
				}
				while($gruppo = $risGruppi->fetch_assoc()) {
					echo"<option value=\"{$gruppo["id"]}\">{$gruppo["nomeGruppo"]}</option>";
				}
              	   ?>
		   </select>
	       </div>
           </div>
          
           <div class="form-group">
            <label for="notifica"class="col-sm-3 control-label">Inviare notifica via email?</label>
              <div class="col-sm-5">
                <label class="radio-inline">
                  <input type="radio" name="notifica" id="inlineRadio1" value="si" checked > si
                </label>
                <label class="radio-inline">
                  <input type="radio" name="notifica" id="inlineRadio2" value="no" > no
                </label>
	      </div>
           </div>

           <div class="form-group">
            <label for="esempioInputFile"class="col-sm-3 control-label">Seleziona il file</label>
            <div class="col-sm-9">
            <input type="file" name="file" id="inputFile" multiple="">
            </div>
          </div>
          
          <div class="form-group">
            <div class="col-sm-offset-3 col-sm-9">
              <button type="button" class="btn btn-primary" onclick=invia()>Invia</button>
            </div>
          </div>
          
          </form>
        
      </div>
            
    </div>
    <!-- /prima colonna --> 
    
    <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
<div class="panel-group" id="accordion">
  

</div>    </div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


<!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    <script src="../js/jquery.multiple.select.js"></script>
  
  <!-- abilita popover -->
	<script type="text/javascript">
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>
	
	<script type="text/javascript">	
		
		//funzione di invio dati. Titolo e testo sono campi obbligatori, se non sono stati inseriti viene visualizzato un messaggio
		function invia() {
			if($('#nomeRisorsa').val()=="") {
				alert("Inserisci il nome della risorsa");
			}
			else if($('#inputFile').val()=="") {
				alert("Seleziona un file");
			}
			else {
				document.formCreazioneRisorsa.submit();
			}
		}
		
		function cambiaTipo(tipo) {
			if(tipo=="collettiva") {
				$('#campoEmail').addClass("hidden");
				$('#selectGruppo').show();
			}
			else { //se va quì si vuole inserire una risorsa individuale quindi rimuovo il div 
				$('#selectGruppo').hide();
				$('#campoEmail').removeClass("hidden");
			}
		}
	</script>
	
	<!-- plugin multiple select -->
	<script>
	    $(function() {
		   $('#idGruppo').change(function() {
		       console.log($(this).val());
		   }).multipleSelect({
		       width: '100%'
		   });
	    });
	</script>
	
	<!-- Editor articolo -->
	<script type="text/javascript" src="../js/tinymce/tinymce.min.js"></script>
	<script type="text/javascript">
	tinymce.init({
	    selector: "textarea",
	    plugins: "textcolor link",
    	    toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor",
	    language : 'it'
	 });
	</script>

</body>
</html>
<?php
	}
?>
