<?php 
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../util.php";
    include "../template/stile.php";
    include "../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        if(isset($_GET["id"])) {
                $queryPagina = "SELECT * FROM geecAd_pagine WHERE id={$_GET["id"]}";
                $result = $geecomDb->eseguiQueryLettura($queryPagina);
                $pagina = $result->fetch_assoc();
        }

        $queryUtenti="SELECT * FROM geecAd_utenti WHERE id={$_GET["id"]}";
        $result = $geecomDb->eseguiQueryLettura($queryUtenti);
        $utente = $result->fetch_assoc();
    }	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom admin - dettagli dell'utente <?php echo($utente["nome"]); ?></title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>
<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==5) {
                    echo"<p class=\"alert alert-success\">L'utente è stato rimosso da questo gruppo eliminato</p>";
            }
        }
    ?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" class="col-lg-8 col-md-8 col-sm-12 col-xs-12">

      <div class="panel panel-default">
        <div class="panel-heading">Dettagli dell'utente  <?php echo($utente["nome"]); ?></div>
        
        <!-- form -->
        <form class="form-horizontal" role="form" name="formCreaArticolo" action="utenti/creaUtente.php" method="post">
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="nome" value="<?php echo($utente['nome']); ?>">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Cognome</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="cognome" value="<?php echo($utente['cognome']); ?>">
                </div>
            </div>
          
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Via</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="via" value="<?php echo($utente['via']); ?>">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Città</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="citta" value="<?php echo($utente['citta']); ?>">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">CAP</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="cap" value="<?php echo($utente['cap']); ?>">
                </div>
            </div>
            
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Email</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="oggettoComunicazione" name="email" value="<?php echo($utente['email']); ?>" >
                </div>
            </div>

            <div class="form-group">
                <label for="pec" class="col-sm-3 control-label">PEC</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="pec" name="pec" value="<?php echo($utente['pec']); ?>" >
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Telefono</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="telefono" value="<?php echo($utente['telefono']); ?>">
                </div>
            </div>
            
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Organizzazione</label>
                <div class="col-sm-9">
                  <input type="text" class="form-control" id="nomeUtente" name="organizzazione" value="<?php echo($utente['organizzazione']); ?>">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Sito web</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="sitoWeb" value="<?php echo($utente['sitoWeb']); ?>">
                </div>
            </div>
            
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Codice fiscale</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="codiceFiscale" value="<?php echo($utente['codiceFiscale']); ?>">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Partita IVA</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="partitaIva" value="<?php echo($utente['partitaIva']); ?>">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Codice interscambio</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="nomeUtente" name="codiceInterscambio" value="<?php echo($utente['codiceInterscambio']); ?>">
                </div>
            </div>
            
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Etichetta</label>
                <div class="col-sm-4">
                    <select class="form-control" name="etichetta"> 
                        <option value="">Nessuna etichetta</option>
                        <?php 
                            $queryEtichette = "SELECT * FROM geecAd_etichette WHERE tipo LIKE 'utente'";
                            $risEtichette = $geecomDb->eseguiQueryLettura($queryEtichette);
                            while($etichetta=$risEtichette->fetch_assoc()) {
                                if(isset($utente) && $etichetta["nome"]==$utente["etichetta"]) {
                                    echo"<option value=\"{$etichetta["nome"]}\" selected> {$etichetta["nome"]}</option>";
                                }
                                else {
                                    echo"<option value=\"{$etichetta["nome"]}\"> {$etichetta["nome"]}</option>";
                                }
                            }
                        ?>
                    </select>
                </div>
            </div>
            
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Stato</label>
                <div class="col-sm-4">
                    <select class="form-control" name="stato">
                        <?php 
                            $tipiDiStato = array("attivato","non attivato");
                            foreach($tipiDiStato as $stato) {
                                if(isset($utente) && $stato==$utente["stato"]) {
                                    echo"<option value=\"{$stato}\" selected> {$stato}</option>";
                                }
                                else {
                                    echo"<option value=\"{$stato}\"> {$stato}</option>";
                                }
                            }
                        ?>
                    </select>
                </div>
            </div>
            
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Aggiungi a gruppi</label>
                <div class="col-sm-7">
                    <?php 
                        $queryNomiGruppi = "SELECT * FROM geecAd_gruppi WHERE id NOT IN (SELECT idGruppo FROM geecAd_gruppiUtenti WHERE idUtente={$utente["id"]})";
                        $risNomi = $geecomDb->eseguiQueryLettura($queryNomiGruppi);
                        while($gruppo=$risNomi->fetch_assoc()) {
                            echo"<label class=\"checkbox-inline\">
                                    <input type=\"checkbox\" id=\"inlineCheckbox2\" name=\"gruppi[]\" value=\"{$gruppo["id"]}\"> {$gruppo["nomeGruppo"]}
                                  </label>";
                        }
                    ?>
                </div>
            </div>

            <div class="form-group">
                <label for="textarea1" class="col-sm-3 control-label">Descrizione</label>
                <div class="col-sm-9">
                  <textarea class="form-control" rows="5" id="descrizione" name="descrizione" ><?php echo($utente['descrizione']); ?></textarea>
                </div>
            </div>
               
            <div class="form-group">
                <label for="note" class="col-sm-3 control-label">Note</label>
                <div class="col-sm-9">
                  <textarea class="form-control" rows="2" id="note" name="note" ><?php echo($utente['note']); ?></textarea>
                </div>
            </div>
            
            <input type="text" class="hidden" id="idUtente" name="idUtente" value="<?php echo($utente['id']); ?>">

            <div class="form-group">
              <div class="col-sm-offset-3 col-sm-9">
                <button type="button" class="btn btn-primary" onclick=invia()>Salva modifiche</button>
              </div>
            </div>
        
        </div>
            
    </div>
    <!-- /prima colonna --> 
    
   <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">

<div class="panel-group" id="accordion">
  
  <div class="panel panel-default">
    <div class="panel-heading">
      <h4 class="panel-title">

        <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Gruppi </a></h4>
    </div>
    <div id="collapseOne" class="panel-collapse collapse in">
        <div class="panel-body tagAssociati">
        
        <!-- badge -->
        <?php
            $queryGruppi = "SELECT * FROM geecAd_gruppiUtenti AS gu JOIN geecAd_gruppi AS g ON gu.idGruppo=g.id WHERE gu.idUtente={$utente["id"]}";
            $risGruppi = $geecomDb->eseguiQueryLettura($queryGruppi);
            while($gruppo = $risGruppi->fetch_assoc()) {
                echo"<span>
                        <a class=\"badge badge-primary\" href=\"utenti/eliminaAssociazioneGruppoUtente.php?id={$gruppo["idGruppoUtente"]}\">";
                        echo"{$gruppo["nomeGruppo"]}";
                echo"</a></span>";
               
            }
        ?>
        <!-- /badge -->
        
      </div>
    </div>
  </div>
 
</div>
</div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>
	
	<script type="text/javascript">	
		
		//funzione di invio dati. Titolo e testo sono campi obbligatori, se non sono stati inseriti viene visualizzato un messaggio
		function invia() {
			if($('#nomeUtente').val()=="") {
				alert("Il nome dell'utente non piò essere vuoto");
			}
			else {
				document.formCreaArticolo.submit();
			}
		}
	</script>

</body>
</html>