<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../gUtil/DbManager.php";
    include "../../gUtil/GestoreUpload.php";
    include "../../costanti.php";

    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) { //se l'utente non è loggato non può entrare in questa pagina
        header('Location:index.php');
    } else {

        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        
        if($_FILES['logo']['name']=="") { //se non c'è l'immagine percorsoFoto = vuoto
            $percorsoLogo = "";
        }
        else { //se c'è l'immagine viene salvata e inserita nel percorso foto
            $tipiFileAmmessi = array("image/png","image/jpeg","image/gif","image/svg+xml");
            $gestoreUpload = new GestoreUpload("logo", $tipiFileAmmessi, 8, "../../template", 0, "");
            $esitoUpload  = $gestoreUpload->salvaFile();
            if($esitoUpload["percorso"]=="") {
                if($idContenuto==0) {
                    header("Location: ../impostazioni.php?status=455&errore={$esitoUpload["errore"]}");
                }
                else {
                    header("Location: ../impostazioni.php?status=455&errore={$esitoUpload["errore"]}");
                }
                exit();
            }
            else {
                $percorsoLogo = str_replace("../../","",$esitoUpload["percorso"]);
            }
        }
        
        if($_FILES['filecss']['name']=="") { //se non c'è l'immagine percorsoFoto = vuoto
            
        }
        else { //se c'è l'immagine viene salvata e inserita nel percorso foto
            $tipiFileAmmessi = array("text/css");
            $gestoreUpload = new GestoreUpload("filecss", $tipiFileAmmessi, 8, "../../template", 0, "");
            $esitoUpload  = $gestoreUpload->salvaFile();
            if($esitoUpload["percorso"]=="") {
                if($idContenuto==0) {
                    header("Location: ../impostazioni.php?status=455&errore={$esitoUpload["errore"]}");
                }
                else {
                    header("Location: ../impostazioni.php?status=455&errore={$esitoUpload["errore"]}");
                }
                exit();
            }
        }
        
        $dimensioneAreaLogin  = filter_input(INPUT_POST,"dimensioneAreaLogin",FILTER_SANITIZE_STRING);
        $titolo = filter_input(INPUT_POST,"titoloAreaLogin",FILTER_SANITIZE_STRING);
        $testo  = filter_input(INPUT_POST,"testoAreaLogin",FILTER_SANITIZE_STRING);

        if($percorsoLogo!="") { // viene eseguita la query solo se è stato inserito un logo
            $queryModificaHome = "UPDATE geec_configurazioniAspetto SET logo='$percorsoLogo' WHERE selezionataAdmin LIKE 'si'";
            $geecomDb->eseguiQueryScrittura($queryModificaHome);
        }
        
        header("Location: ../impostazioni.php?status=200");
    }