<?php
    /**
    *
    * copyright (c) 2013-2021 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?alias=linee-guida-per-luso-del-logo-geecom
    */
    include "../../gUtil/DbManager.php";
    include "../../costanti.php";

    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
        header('Location:index.php');
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        //prendo i valori dalla form
        $attivaContabilita = filter_input(INPUT_POST,"attivaContabilita",FILTER_SANITIZE_STRING);
        $tipoContabilita   = filter_input(INPUT_POST,"tipoContabilita",FILTER_SANITIZE_STRING);
        $percentualeIva    = filter_input(INPUT_POST,"percentualeIva",FILTER_SANITIZE_NUMBER_INT);
        $gruppoClienti     = filter_input(INPUT_POST,"gruppoClienti",FILTER_SANITIZE_NUMBER_INT);
        $gruppoFornitori   = filter_input(INPUT_POST,"gruppoFornitori",FILTER_SANITIZE_NUMBER_INT);
        $intestazioneDocumentiFiscali = filter_input(INPUT_POST,"intestazioneDocumentiFiscali",FILTER_SANITIZE_MAGIC_QUOTES);
        
        //aggiorno le impostazioni con i dati passati in input
        $queryAggiornamentoPaginaContatti = "UPDATE geecAd_impostazioni SET attivaContabilita='$attivaContabilita', tipoContabilita='$tipoContabilita', percentualeIva='$percentualeIva', gruppoClienti=$gruppoClienti, gruppoFornitori=$gruppoFornitori, intestazioneDocumentiFiscali='$intestazioneDocumentiFiscali' WHERE id=1";
        $geecomDb->eseguiQueryScrittura($queryAggiornamentoPaginaContatti);

        header("Location: ../impostazioni.php?status=335");
    }
