<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../../gUtil/DbManager.php";
    include "../../costanti.php";

    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
       header('Location:index.php');
    }
    else {

        //prendo i valori dalla form
        $attivaFortino       = filter_input(INPUT_POST,"attivaFortino",FILTER_SANITIZE_STRING);
        $parolaChiaveFortino = filter_input(INPUT_POST,"parolaChiaveFortino",FILTER_SANITIZE_STRING);
        $filtraggioIp        = filter_input(INPUT_POST,"filtraggioIP",FILTER_SANITIZE_STRING);
        $indirizziIPAmmessi  = filter_input(INPUT_POST,"indirizziIPAmmessi",FILTER_SANITIZE_STRING);
        $indirizziIPBannati  = filter_input(INPUT_POST,"indirizziIPBannati",FILTER_SANITIZE_STRING);
        
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        
        //aggiorno le impostazioni con i dati passati in input
        $queryAggiornamentoImpostazioni = "UPDATE geecAd_impostazioni SET attivaFortino='$attivaFortino', filtraggioIp='$filtraggioIp', parolaChiaveFortino='$parolaChiaveFortino', indirizziIPAmmessi='$indirizziIPAmmessi', indirizziIPBannati='$indirizziIPBannati' WHERE id=1";
        $geecomDb->eseguiQueryScrittura($queryAggiornamentoImpostazioni);

        header("Location: ../impostazioni.php?status=300");
    }
