<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
      header('Location:index.php');
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        
        $id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
        
        // la precedente configurazione non deve essere più la configurazione selezionata
        $configurazioneColore = $geecomDb->leggiSingolaRiga("geec_configurazioniAspetto", "si","selezionataAdmin");
        $query = "UPDATE `geec_configurazioniAspetto` SET selezionataAdmin = 'no' WHERE id = {$configurazioneColore["id"]}";
        $geecomDb->eseguiQueryLettura($query);
        
        $query = "UPDATE `geec_configurazioniAspetto` SET selezionataAdmin = 'si' WHERE id = $id";
        $geecomDb->eseguiQueryLettura($query);
        
        echo "ok";
    }