<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
?>
    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Prodotti installati</h3>
            <div class="well">
                In questa sezione si possono vedere i prodotti Geecom installati con il percorso per raggiungere
                la cartella amministrativa, ed è possibile modificare questo percorso in quei rari casi in cui
                ciò è necessario. Consultare il manuale di Geecom per maggiori informazioni.
            </div>
        </div>
    </div>

    <div class="table-responsive">
        <table class="table table-hover table-condensed">
      <thead>
        <tr>
          <th></th>
          <th>Prodotto</th>
          <th>Percorso</th>
        </tr>
      </thead>
      <tbody>
        <?php
            $queryComponentiDaMostrare = "SELECT * FROM geec_prodotti";
            $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);  
            while($prodottoGeecom = $risComponenti->fetch_assoc()) {
                if($prodottoGeecom["installato"]=="si") {		 			
                    $nomeImmagine = strtolower($prodottoGeecom["nome"]).".png";
                    echo"<tr>
                        <td></td>
                        <td><img class=\"col-xs-2\" src=\"../template/img/$nomeImmagine\">{$prodottoGeecom["versione"]}</td>
                        <td>
                            <form class=\"form-inline\" role=\"form\">

                                    <div class=\"col-xs-9\">
                                     <input type=\"text\" class=\"form-control\" id=\"percorsoDaCambiare{$prodottoGeecom["id"]}\" value=\"{$prodottoGeecom["percorso"]}\" />

                                    </div>

                                    <button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaProdottoGeecom('percorsoDaCambiare{$prodottoGeecom["id"]}',{$prodottoGeecom["id"]})\"><span class=\"glyphicon glyphicon-save\"></span>Salva</button>
                            </form>
                        </td>
                      </tr>";
                }
            }
      ?>
      </table>
    </div>
