    <?php
	/*
	* copyright (c) 2013-2020 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
    ?>

    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Impostazioni di sicurezza</h3>
            <div class="well">
                In questa sezione è possibile impostare delle restrizioni per rendere il sito più sicuro. Attivando il 
                componente <b>Fortino</b> l'accesso all'area riservata sarà impedito a meno che non si inserisca 
                nel link dell'area riservata la parola chiave. Per maggiori informazioni su questa e sulle altre
                opzioni di questa sezione consultare il manuale di Geecom.
            </div>
        </div>
    </div>

    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <form class="form-horizontal" role="form" name="formImpostazioniSicurezza" action="impostazioni/aggiornaImpostazioniSicurezza.php" method="post" enctype="multipart/form-data">
                <div class="form-group">
                   <label for="select1" class="col-sm-2 control-label">Attiva fortino </label> 
                   <div class="col-sm-1">
                        <input type="checkbox" name=attivaFortino class="js-switch" value="si" <?php
                            if($impostazioni["attivaFortino"]=="si") { // se il valore = si aggiunge la parola checked
                                echo"CHECKED";
                            }
                          ?> />
                    </div>

                    <label for="parolaChiaveFortino" class="col-sm-2 control-label">Parola chiave </label> 
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="parolaChiaveFortino" name="parolaChiaveFortino" value="<?php echo($impostazioni['parolaChiaveFortino']); ?>">
                    </div>
                </div>
                
                <div class="form-group">
                   <label for="select1" class="col-sm-2 control-label">Filtraggio IP login</label> 
                   <div class="col-sm-1">
                        <input type="checkbox" name="filtraggioIP" class="js-switch" value="si" <?php
                             if($impostazioni["filtraggioIP"]=="si") { // se il valore = si aggiunge la parola checked
                                echo"CHECKED";
                             }
                          ?> />
                    </div>

                    <label for="parolaChiaveFortino" class="col-sm-2 control-label">Classe indirizzi ammessi</label> 
                    <div class="col-sm-2">
                        <textarea rows=4 class="form-control" id="parolaChiaveFortino" name="indirizziIPAmmessi" ><?php echo($impostazioni['indirizziIPAmmessi']); ?></textarea>
                    </div>
                    
                    <label for="parolaChiaveFortino" class="col-sm-2 control-label">Classe indirizzi bannati</label> 
                    <div class="col-sm-2">
                        <textarea rows=4 type="text" class="form-control" id="parolaChiaveFortino" name="indirizziIPBannati"><?php echo($impostazioni['indirizziIPBannati']); ?></textarea>
                    </div>
                </div>
                
                <div class="form-group">
                   <label for="select1" class="col-sm-2 control-label">Filtraggio IP area utente</label> 
                   <div class="col-sm-1">
                        <input type="checkbox" name="filtraggioIPAreaUtenti" class="js-switch" value="si" <?php
                             if($impostazioni["filtraggioIPAreaUtenti"]=="si") { // se il valore = si aggiunge la parola checked
                                echo"CHECKED";
                             }
                          ?> />
                    </div>

                    <label for="parolaChiaveFortino" class="col-sm-2 control-label">Classe indirizzi ammessi</label> 
                    <div class="col-sm-2">
                        <textarea rows=4 class="form-control" id="parolaChiaveFortino" name="indirizziIPAmmessiAreaUtenti" ><?php echo($impostazioni['indirizziIPAmmessiAreaUtenti']); ?></textarea>
                    </div>
                    
                    <label for="parolaChiaveFortino" class="col-sm-2 control-label">Classe indirizzi bannati</label> 
                    <div class="col-sm-2">
                        <textarea rows=4 type="text" class="form-control" id="parolaChiaveFortino" name="indirizziIPBannatiAreaUtenti"><?php echo($impostazioni['indirizziIPBannatiAreaUtenti']); ?></textarea>
                    </div>
                </div>
                
                <div class="form-group">
                    <div class="form-group">
                        <div class="col-xs-12">
                            <hr>
                            <button type="button" class="btn btn-primary pull-right" onclick=document.formImpostazioniSicurezza.submit()> <i class="fa fa-check"></i> Salva</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    
