    <?php

	/*
	* copyright (c) 2013-2018 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
    
        $datiCookie = $geecomDb->leggiSingolaRiga("geecAd_leggeCookie",1);
    ?>

    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Legge sui cookie</h3>
            <div class="well">
                In questa sezione è possibile inserire le impostazioni richieste da Geecom Cms per essere in linea
                con la normativa GDPR vigente in Europa.
            </div>
        </div>
    </div>

    <form class="form-horizontal" role="form" >
        <div class="form-group">
             <label for="select1" class="col-sm-4 control">Attiva banner legge sui cookie </label>
             <div class="col-sm-1">
                  <input type="checkbox" id=attivaBarraCookie class="js-switch" value="si" <?php
                      if($datiCookie["attivaBarraCookie"]=="si") { // se il valore = si aggiunge la parola checked
                        echo"CHECKED";
                     }
                  ?> />
             </div>
        </div>

        <div class="form-group">
           <label for="select1" class="col-sm-3">Testo del banner</label>
          <div class="col-xs-12">
            <textarea class="form-control editor" rows="8" id="testoBarraCookie" placeholder="Inserisci qui il testo"><?php echo($datiCookie['testoBarraCookie']); ?></textarea>
          </div>
        </div>

        <h3> Configurazione pulsanti </h3>
        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Testo pulsante accettazione </label>
            <div class="col-sm-3">
                <input type="text" class=form-control id="testoPulsanteAccetto" value="<?php echo $datiCookie["testoPulsanteAccetto"]; ?>" />
            </div>
        </div>
        
        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Testo pulsante non accetto </label>
            <div class="col-sm-3">
                <input type="text" class=form-control id="testoPulsanteNonAccetto" value="<?php echo $datiCookie["testoPulsanteNonAccetto"]; ?>" />
            </div>
            
            <label for="select1" class="col-sm-4 control-label">Mostra pulsante </label>
            <div class="col-sm-1">
                 <input type="checkbox" id=mostraPulsanteNonAccetto class="js-switch" value="si" <?php
                     if($datiCookie["mostraPulsanteNonAccetto"]=="si") { // se il valore = si aggiunge la parola checked
                       echo"CHECKED";
                    }
                 ?> />
            </div>
        </div>
        
        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Testo pulsante maggiori informazioni </label>
            <div class="col-sm-3">
                <input type="text" class=form-control id="testoPulsanteMaggioriInformazioni" value="<?php echo $datiCookie["testoPulsanteMaggioriInformazioni"]; ?>" />
            </div>
            <label for="select1" class="col-sm-4 control-label">Mostra pulsante </label>
            <div class="col-sm-1">
                <input type="checkbox" id=mostraPulsanteMaggioriInformazioni class="js-switch" value="si" <?php
                    if($datiCookie["mostraPulsanteMaggioriInformazioni"]=="si") { // se il valore = si aggiunge la parola checked
                      echo"CHECKED";
                   }
                ?> />
            </div>
        </div>
        
        <div class="form-group">   
            <label for="select1" class="col-sm-3 control-label">Pagina maggiori informazioni</label>
            <div class="col-sm-3">
                <select class="form-control" id="paginaMaggioriImpostazioni">
                <?php 
                  $queryPagine = "SELECT * FROM geecAd_pagine";
                  $risNomi = $geecomDb->eseguiQueryLettura($queryPagine);
                  while($tag = $risNomi->fetch_assoc()) {
                      if($datiCookie["paginaMaggioriInformazioni"]==$tag["id"]) {
                          echo"<option value=\"{$tag["id"]}\" selected>{$tag["titolo"]}</option>";						
                      }
                      else {
                          echo"<option value=\"{$tag["id"]}\">{$tag["titolo"]}</option>";
                      }
                  }
                ?>          
                </select>
            </div>
        </div>
       
        <h3> Cookie da eseguire dopo il consenso</h3>
        <div class="form-group">
           <label for="select1" class="col-sm-3">Cookie nel tag head</label>
          <div class="col-xs-12">
            <textarea class="form-control" rows="8" id="headCodiciCookie" placeholder="Inserisci qui il testo"><?php echo($datiCookie['headCodiciCookie']); ?></textarea>
          </div>
        </div>
        
        <div class="form-group">
           <label for="select1" class="col-sm-4">Cookie alla fine del tab body</label>
          <div class="col-xs-12">
            <textarea class="form-control" rows="8" id="fineBodyCookie" placeholder="Inserisci qui il testo"><?php echo($datiCookie['fineBodyCookie']); ?></textarea>
          </div>
        </div>
        
        <div class="form-group">
            <div class="col-xs-12">
                <hr>
                <button type="button" class="btn btn-primary pull-right" onclick="aggiornaImpostazioniCookie()"><i class="fa fa-check"></i> Salva</button>
            </div>
        </div>
    </form>
