<?php
	/**
	*
	* copyright (c) 2013-2015 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/

	header('Content-type: text/html; charset=utf-8');
	include "../../costanti.php";
	include "../../gUtil/DbManager.php";
	include "../../util.php";
	
	session_start();
	if(!isset($_SESSION['geecomAdmin_email'])){ //se l'utente non è loggato non può entrare in questa pagina
	  header('Location:index.php');
	} else {

		//i dati del database sono definiti nel file costanti.php
		$geecomDb = new DbManager($costantiDatabase);
		$id          = $_POST["id"];
		$privata     = $geecomDb->escapeString($_POST["privata"]);
		$titolo      = $geecomDb->escapeString($_POST["titolo"]);
		$descrizione = $geecomDb->escapeString($_POST["descrizione"]);
		$menu        = $geecomDb->escapeString($_POST["menu"]);
		$template    = $geecomDb->escapeString($_POST["template"]);
		$javascriptPersonalizzato = $geecomDb->escapeString($_POST["javascriptPersonalizzato"]);
		$cssPersonalizzato = str_replace("../immagini","immagini",$geecomDb->escapeString($_POST["cssPersonalizzato"]));

		if($id==0) { //la pagina deve essere creata
			$data = date("Y-m-d");
			$queryInserimentoArticolo = "INSERT INTO geecAd_pagine VALUE (NULL,'$privata','$titolo','$descrizione','$template', '$javascriptPersonalizzato', '$cssPersonalizzato','$menu','$data');";
			
			$geecomDb->eseguiQueryScrittura($queryInserimentoArticolo);
			
			$idPagina = $geecomDb->idUltimoElemento();
			
			header("Location: ../creaPagina.php?id=$idPagina&status=1");
		} //altrimenti deve essere modificata
		else {

			$queryModificaPagina = "UPDATE geecAd_pagine SET titolo='$titolo', privata='$privata', descrizione='$descrizione', template='$template', javascriptPersonalizzato='$javascriptPersonalizzato', cssPersonalizzato='$cssPersonalizzato', voceMenu='$menu' WHERE id='$id'";
			$geecomDb->eseguiQueryScrittura($queryModificaPagina);
			
			header("Location: ../creaPagina.php?id=$id&status=2");
		}
	}
?>
