<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";

    /*controllo di sessione, se non è impostata indirizza alla pagina di login*/
    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
        header('Location:index.php');
    }
    else if($_SESSION['geecomAdmin_ruolo']=="articolista") { //solo gli amministratori e i super admin possono modificare i menu
        header('Location:home.php?status=444');
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        $id = filter_input(INPUT_GET,"id",FILTER_SANITIZE_NUMBER_INT);

        $datiComponente = $geecomDb->leggiSingolaRiga("geecAd_composizionePagine", $id);
        
        //recupero l'ultima posizione occupata nel pannello laterale
        $geecomDb->eseguiQueryCancellazione("geecAd_composizionePagine",$id);
        header("Location: ../creaPagina.php?id={$datiComponente["idPagina"]}");
    }