<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";
    include "../../classi/GeneratoreCodiceComponente.php";
    include "../../template/include/generatori/GeneratoreCodiceRisorse.php";
        
    /*controllo di sessione, se non è impostata indirizza alla pagina di login*/
    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
        header('Location:index.php');
    }
    else if($_SESSION['geecomAdmin_ruolo']=="articolista") { //solo gli amministratori e i super admin possono modificare i menu
        header('Location:gestioneRisorse.php?status=400');
    }
    else {

        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        $id= filter_input(INPUT_POST,"idRisorsa",FILTER_SANITIZE_NUMBER_INT);

        //controlla se esiste un gruppo con lo stesso nome
        $queryEliminazioneRisorsa = "DELETE FROM geecAd_risorse WHERE id=$id";
        $geecomDb->eseguiQueryScrittura($queryEliminazioneRisorsa);

        // dopo aver caricato una nuova risorsa bisogna aggiornare tutte le istanze dei visualizzatori di risorse
        $generatoreCodiceRisorse = new GeneratoreCodiceRisorse($geecomDb);
        $generatoreCodiceRisorse->aggiornaTutteLeIstanze();

        header("Location: ../gestioneRisorse.php?status=50");
    }
