<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../gUtil/DbManager.php";
    include "../../costanti.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else if($_SESSION["geecomAdmin_ruolo"]=="articolista") {
        header("Location: home.php?status=444");
    }
    else {
        $admin_email= $_SESSION["geecomAdmin_email"];

        //prendo i valori dalla form
        $nome  = filter_input(INPUT_POST,"nome",FILTER_SANITIZE_MAGIC_QUOTES);
        $icona = filter_input(INPUT_POST,"icona",FILTER_SANITIZE_STRING);
        $tipo  = filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING);
        $link  = $_POST["link"];
        $tag   = filter_input(INPUT_POST,"tag",FILTER_SANITIZE_STRING);
        $idVoceMenu      = filter_input(INPUT_POST,"idVoceMenu",FILTER_SANITIZE_NUMBER_INT);
        $gruppoSpecifico = filter_input(INPUT_POST,"gruppoSpecifico",FILTER_SANITIZE_NUMBER_INT);

        $geecomDb = new DbManager($costantiDatabase);

        if($idVoceMenu ==0 ) { //sta creando una nuova voce di menu
            $queryUltimaPosizione = "SELECT posizione FROM geecAd_vociMenu ORDER BY posizione DESC LIMIT 1";
            $resultPosizione = $geecomDb->eseguiQueryLettura($queryUltimaPosizione);
            if($resultPosizione->num_rows==0) { //la tabella è vuota
                $posizione=1;
            }
            else {
                $risPosizione = $resultPosizione->fetch_array(MYSQLI_NUM);
                $posizione = $risPosizione[0];
            }

            if($tipo == "link categoria") { //in questo caso il link va creato
                $link = "cerca.php?tag=$tag";
            }

            $queryCreazioneVoceMenu ="INSERT INTO geecAd_vociMenu VALUES(NULL,'$nome','$icona','$tipo','$tag','$link',$posizione,$gruppoSpecifico);";
            $result = $geecomDb->eseguiQueryLettura($queryCreazioneVoceMenu);
            header("Location: ../gestioneMenu.php?status=1");
        }
        else {
            $queryAggiornamentoVoceMenu ="UPDATE geecAd_vociMenu SET nome='$nome', icona='$icona', link='$link', tipo='$tipo', tagSottoMenu='$tag', gruppoSpecifico=$gruppoSpecifico WHERE id=$idVoceMenu";
            $result = $geecomDb->eseguiQueryLettura($queryAggiornamentoVoceMenu);
            header("Location: ../gestioneMenu.php?status=2");
        }
    }