<?php 
	/**
	*
	* copyright (c) 2013-2015 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	
	include "../costanti.php";
	
	//i dati del database sono definiti nel file costanti.php
	$host= $costantiDatabase['host'];
	$user= $costantiDatabase['utenteDb'];
	$passwordDb = $costantiDatabase['passwordDb'];
	$nomeDb = $costantiDatabase['nomeDb'];

	$emailerDb = new mysqli($host, $user, $passwordDb, $nomeDb);
	if (mysqli_connect_errno()) {
            echo "Errore in connessione al Database: ".mysqli_connect_error();
            exit();
	}

        $result = $emailerDb->query("SHOW TABLES LIKE 'geec_prodotti'");
        if($result->num_rows>0) {
            session_start();
            $_SESSION["altriProdotti"]="si";
        }

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title> Installazione di Geecom Admin</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

</head>

<body>

<div id="wrap">
    
    <!-- barra superiore -->
	<div id="barraSuperiore" class="row">
    </div>
    <!-- /barra superiore -->
    
    <!-- area centrale  -->
      <div id="installazione" class="container">
          <div id="areaCentrale" class="col-lg-7 col-md-8 col-sm-10 col-centered">
           <div class="row">
            <img class="center-block" src="../template/img/geecom.png"/>
           </div>
           <div class="intestazione row">
             Installazione di Geecom admin
           </div>
            <?php
                if(isset($_SESSION["altriProdotti"])) {
                    echo"<p class=\"alert alert-success\"> Rilevati altri prodotti Geecom, dopo l'installazione sarà possibile passare da un prodotto all'altro tramite l'area riservata. </p>";
                }
            ?>
            <div class="row">
             <form class="form-horizontal" role="form" name="formInstallazione" action=install.php method=post>
                  
                  <div class="form-group">
                    <label for="campoTesto1" class="col-sm-4 control-label">Nome amministratore</label>
                    <div class="col-sm-8">
                      <input type="text" class="form-control" id="campoTesto1" name="nome" placeholder="Nome">
                    </div>
                  </div>
                  
                  <div class="form-group">
                    <label for="inputEmail3" class="col-sm-4 control-label">Email</label>
                    <div class="col-sm-8">
                      <input type="email" class="form-control" id="inputEmail3" name="email" placeholder="Email">
                    </div>
                  </div>

                  <div class="form-group">
                    <label for="inputPassword3" class="col-sm-4 control-label">Password</label>
                    <div class="col-sm-8">
                      <input type="password" class="form-control" id="inputPassword3" name="password" placeholder="Password" />
                    </div>
                  </div>

                  <div class="form-group">
                    <label for="inputPassword3" class="col-sm-4 control-label">Conferma password</label>
                    <div class="col-sm-8">
                      <input type="password" class="form-control" id="inputPassword3" placeholder="Conferma password" />
                    </div>
                  </div>
                 
                  <div class="form-group">
                    <label for="campoTesto1" class="col-sm-4 control-label">Titolo piattaforma</label>
                    <div class="col-sm-8">
                      <input type="text" class="form-control" id="campoTesto1" name="titoloPiattaforma" />
                    </div>
                  </div>
                 
                  <div class="form-group">
                    <label for="campoTesto1" class="col-sm-4 control-label">Indirizzo piattaforma</label>
                    <div class="col-sm-8">
                      <input type="text" class="form-control" id="campoTesto1" name="indirizzoPiattaforma" value="http://<?php echo $_SERVER['HTTP_HOST'].str_replace("/installazione/","",$_SERVER['REQUEST_URI']); ?>" />
                    </div>
                  </div>
                 
                <div class="form-group">
                    <label for="campoTesto1" class="col-sm-4 control-label">Attiva contabilità</label>
                    <div class="col-sm-1">
                        <input type="checkbox" id="attivaContabilita" name="attivaContabilita" value="si" onchange="modificaClasseDivContabilita()"/>
                    </div>
                    
                    <div id="divTipoContabilita" class="hidden">
                        <label for="campoTesto1" class="col-sm-3 control-label">Tipo contabilità</label>
                        <div class="col-sm-4">
                            <select class="form-control" id="campoTesto1" name="tipoContabilita">
                                <?php 
                                    $tipiContabilita = ["associazione","attività commerciale"];
                                    foreach($tipiContabilita as $tipoContabiltia) {
                                        if($tipoContabiltia == $impostazioni["tipoContabilita"]) {
                                            echo"<option value=\"$tipoContabiltia\" selected >$tipoContabiltia</option>";
                                        }
                                        else {
                                            echo"<option value=\"$tipoContabiltia\"  >$tipoContabiltia</option>";
                                        }
                                    }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
            </form>
             
            <div class="col-sm-offset-4 col-sm-8">
              <button type="button" class="btn btn-primary" onclick={document.formInstallazione.submit();}> Installa </button>
            </div>
          
          </div>

            
            </div>
                                  
          </div>
      </div>
    <!-- /area centrale  -->
    

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted text-center"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


    <!-- javascript -->
    <script src="http://code.jquery.com/jquery-latest.min.js"></script>
    <script src="template/js/bootstrap.min.js"></script>
    
    <script type="text/javascript">  
        // abilita popover
        $(document).ready(function(){
                $("[rel=tooltip]").tooltip({ placement: 'bottom'});
        }); 
        
        
        function modificaClasseDivContabilita() {
            if(document.getElementById("attivaContabilita").checked) {
                document.getElementById("divTipoContabilita").className = ""
            }
            else {
                document.getElementById("divTipoContabilita").className = "hidden"
            }
        }
    </script> 
</body>
</html>
