<?php
	/*
	*
	* copyright (c) 2013-2020 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom

		questo codice stampa il contenuto di una pagina
		viene usato in pagine.php e in index.php (se l'utente ha impostato una pagina come home page)
	*/  

	$queryComponentiDaMostrare = "SELECT c.id, cm.nome, c.testo, c.posizione FROM geecAd_composizionePagine AS c JOIN geecAd_componenti AS cm ON c.idComponente=cm.id WHERE idPagina={$pagina["id"]} ORDER BY c.posizione ASC";
	$risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);
	while($componente = $risComponenti->fetch_assoc()) { 
            if($componente["nome"]=="Intestazione") {
                stampaIntestazione($componente);
            }
            else if($componente["nome"]=="Testo") {
                stampaTesto($componente);
            }
            else if($componente["nome"]=="Html") {
                stampaCodiceHtml($componente);
            }
            else if($componente["nome"]=="Immagine") {
                stampaImmagine($componente);
            }
            else if($componente["nome"]=="Includi codice") {
                includiCodice($componente);
            }
            else if($componente["nome"]=="Risorse") {
                echo $componente["testo"];
                $gestoreJavascript->aggiungiJavascript($componente["script"]);
            }
            else if($componente["nome"]=="Risorse private") {
                $visualizzatoreComponente = new VisualizzatoreRisorsePrivate($geecomDb);
                $visualizzatoreComponente->generaContenutoSezione($componente);
                $gestoreJavascript->aggiungiJavascript($visualizzatoreComponente->getJavascriptAssociato());
            }
	}
