<?php
	/**
	*
	* copyright (c) 2013-2016 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	
	//array associativo che contiene le classi da aggiungere ai vari div per personalizzare l'aspetto
	$aspettoSito = array(
		'barraSuperiore' => "hidden",
		'header'         => "",
		'divImgHeader'	 => "container",
		'imgHeader'      => "template/header.png",
		'barraMenu'      => "",
		'menuPrincipale' => "",
		'allineamentoMenuPrincipale' => "navbar-right",
		'logoBarraMenu'    => "no",
		// dimensione delle colonne in home page (separato dal resto del sito)
		'colonnaSinistraHome'  => "col-md-4",
		'colonnaCentraleHome'  => "col-md-8",
		'colonnaDestraHome'    => "col-md-4",
		// dimensione delle colonne per il resto del sito
		'colonnaSinistra'  => "col-md-4",
		'colonnaCentrale'  => "col-md-8",
		'colonnaDestra'    => "col-md-4",
		// dimensioni delle colonne per il footer (funzione disponibile a breve)
		'footerPrimaColonna'     => "col-md-4 col-sm-4",
		'footerSecondaColonna'   => "col-md-4 col-sm-4",
		'footerTerzaColonna'     => "col-md-4 col-sm-4",
		'footerColonnaInferiore' => "col-md-12",
	);

	/*
	*	Font utilizzati
	*/
	$font = array(
		'fontTitoli' => "https://fonts.googleapis.com/css?family=Open+Sans:400,700",
		'fontTesti' => "https://fonts.googleapis.com/css?family=Libre+Baskerville:400,400italic",
	);

	/*
	*	Elenco dei template disponibili per personalizzare pagine e gallerie di Geecom
	*/
	$templatePagine = array(
            'Template base' => "templateBase.php",
            'Colonna laterale a sinistra' => "colonnaSinistraAttiva.php",
            'Colonna laterale a destra' => "colonnaDestraAttiva.php",
            'Pagina registrazione' => "registrazione.php",
            'Pagina notifiche' => "notifiche.php",
            'Pagina ricevute' => "ricevute.php",
            'Pagina profilo' => "profilo.php",
            'Template vuoto' => "templateVuoto.php"
	);

	/*
	*	Componenti template
	*/
	$componentiTemplate = array();

	/*
	*	Personalizzazioni menu
	*/
	$personalizzazioniMenu = array(
		'elementoMenu' => "sliding-u-l-r-l",
		'elementoSottomenu' => "sliding-u-l-r-l"
	);

	/*
	*	Descrizone del template che verrà visualizzata nella pagina impostazioni, scheda aspetto sito
	*/
	$descrizioneTemplate = "Stai usando il template base di Geecom, pensato per un uso a due colonne";
?>
