<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../gUtil/DbManager.php";
    include "../gUtil/GestoreUpload.php";
    include "../costanti.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomUser_email"])) {
        header("Location: index.php");
        exit();
    }
    else {
        $geecomDb = new DbManager($costantiDatabase);
        
        if($_FILES['immagine']['name']=="") { //se non c'è l'immagine percorsoFoto = vuoto
            $aggiornaPercorsoFoto ="";
        }
        else { //se c'è l'immagine viene salvata e inserita nel percorso foto
            $tipiFileAmmessi = array("image/png","image/jpeg","image/gif");
            $gestoreUpload = new GestoreUpload("immagine", $tipiFileAmmessi, 8, "../immagini/altro", 0, "");
            $esitoUpload  = $gestoreUpload->salvaFile();
            if($esitoUpload["percorso"]=="") {
                header("Location: ../pagina.php?id=2&status=455&errore={$esitoUpload["errore"]}");
                exit();
            }
            else {
                $percorsoFoto         = str_replace("../","",$esitoUpload["percorso"]);
                $aggiornaPercorsoFoto = "foto = '$percorsoFoto', ";
 		$_SESSION["geecomUser_foto"] = $percorsoFoto;
            }
        }

        //prendo i valori dalla form
        $nome          = $geecomDb->escapeString($_POST["nome"]);
        $cognome       = $geecomDb->escapeString($_POST["cognome"]);
        $email         = $geecomDb->escapeString($_POST["email"]);
        $telefono      = $geecomDb->escapeString($_POST["telefono"]);
        $via           = $geecomDb->escapeString($_POST["via"]);
        $citta         = $geecomDb->escapeString($_POST["citta"]);
        $cap           = $geecomDb->escapeString($_POST["cap"]);
        $codiceFiscale = $geecomDb->escapeString($_POST["codiceFiscale"]);
        $partitaIva    = $geecomDb->escapeString($_POST["partitaIva"]);
        $organizzazione= $geecomDb->escapeString($_POST["organizzazione"]);

        $queryAggiornamentoUtente ="UPDATE geecAd_utenti SET nome='$nome', cognome='$cognome', telefono='$telefono', organizzazione='$organizzazione', $aggiornaPercorsoFoto citta = '$citta', cap='$cap', email='$email', descrizione='$descrizione', via='$via', codiceFiscale='$codiceFiscale', partitaIva='$partitaIva' WHERE id={$_SESSION["geecomUser_id"]}";
        $geecomDb->eseguiQueryScrittura($queryAggiornamentoUtente);
        header("Location: ../pagina.php?id=2&status=100");
    }