<?php 
    /**
    *
    * copyright (c) 2013-2017 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../util.php";
    include "../template/stile.php";
    include "../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        if(isset($_GET["id"])) {
            $queryPagina = "SELECT * FROM geecAd_pagine WHERE id={$_GET["id"]}";
            $result = $geecomDb->eseguiQueryLettura($queryPagina);
            $pagina = $result->fetch_assoc();
        }
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom admin - creazione pagina </title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body onload=cambiaMenu('nessuna')>
<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
	if(isset($_GET["status"])) {
            if($_GET["status"]==1) {
                echo"<p class=\"alert alert-success\">Pagina creata</p>";
            }
            else if($_GET["status"]==2) {
                echo"<p class=\"alert alert-success\">Pagina salvata</p>";
            }
	}

        if(isset($pagina) && !isset($_GET["a"])) {
    ?>

    <div id="menuSecondario" class="row">
        <div class="col-xs-12">

            <div class="pull-left">
                <div class="dropdown">
                    <a href="creaPagina.php" class="btn btn-primary dropdown-toggle" type="button" >Nuova pagina</a>
                </div>
            </div>
            <div class="pull-right btn-group">
                   <button href="#" class="btn btn-primary" onclick="invia()"><i class="glyphicon glyphicon-save"></i> &nbspSalva</button>
                   <button type="button" class="btn btn-default" onclick="{location.href='pagine/duplicaContenuto.php?id=<?php echo $pagina["id"]; ?>';}"><span class="glyphicon glyphicon-copy"></span> Duplica</button>
                   <a target=_blank <?php echo "href=../pagina.php?id={$pagina["id"]}"; ?> class="btn btn-default">Visualizza&nbsp <i class="glyphicon glyphicon-eye-open"></i></a>
             </div>
        </div>
    </div>
    <?php 
        }
    ?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" class="col-xs-12">
      <div class="panel panel-default">
        <div class="panel-heading">Crea una nuova pagina</div>
        
        <!-- form -->
        <form class="form-horizontal" role="form" name="formCreaPagina" action="pagine/creaPagina.php" method="post" enctype="multipart/form-data">
	  <input type="text" class="hidden" name="id" value="<?php if(isset($pagina)) echo $pagina["id"]; else echo "0"; ?>">
          <div class="form-group">
            <label for="titoloPagina" class="col-sm-2 control-label">Titolo</label>
            <div class="col-sm-4">
              <input type="text" class="form-control" id="titoloPagina" name="titolo" value="<?php if(isset($pagina)) echo $pagina["titolo"]; ?>">
            </div>
          </div>

          <div class="form-group">
            <label for="titoloPagina" class="col-sm-2 control-label">Descrizione</label>
            <div class="col-sm-4">
              <input type="text" class="form-control" id="titoloPagina" name="descrizione" value="<?php if(isset($pagina)) echo $pagina["descrizione"]; ?>">
            </div>
          </div>

           <div class="form-group">
            <label for="select1" class="col-sm-2 control-label">Tipo di pagina</label>
            <div class="col-sm-9">
                <label class="radio-inline">
                   <input type="radio" name="privata" id="inlineRadio1" value="si" 
			<?php echo((isset($pagina) && $pagina["privata"]=="no") ? "" : "CHECKED"); ?>
		    > privata
                </label>
                <label class="radio-inline">
                  <input type="radio" name="privata" id="inlineRadio2" value="no" <?php if(isset($pagina) && $pagina["privata"]=="no") echo"CHECKED"; ?>> pubblica
                </label>
		</div>
	   </div>

           <div class="form-group">
            <label for="select1" class="col-sm-2 control-label">Scegli il menu </label>
            <div class="col-sm-9">
                <label class="radio-inline">
                  <input type="radio" name="voceMenu" id="inlineRadio1" value="principale" onchange="cambiaMenu('principale')"> principale
                </label>
                <label class="radio-inline">
                  <input type="radio" name="voceMenu" id="inlineRadio2" value="voce sottomenu" onchange="cambiaMenu('voce sottomenu')" > voce sottomenu
                </label>
                <label class="radio-inline">
                  <input type="radio" name="voceMenu" id="inlineRadio2" value="nessuna" onchange="cambiaMenu('nessuna')" CHECKED> nessuna
                </label>
		</div>
	   </div>

          <div class="form-group" id="tagSottomenu">
            <label for="tagPagina" class="col-sm-2 control-label">Tag</label>
            <div class="col-sm-4">
              <input type="text" class="form-control" id="tagPagina" name="tag" placeholder="specifica il tag del sottomenu">
            </div>
          </div>

           <div class="form-group">
            <label for="titoloPagina" class="col-sm-2 control-label">Template</label>
            <div class="col-sm-4">
              <select class="form-control" name="template">
	      	<?php 
			foreach($templatePagine as $key=>$value) {
				if(isset($pagina) && $pagina["template"]==$value) {
					echo"<option value=\"$value\" selected>$key </option>";						
				}
				else {
					echo"<option value=\"$value\" >$key </option>";
				}
			}
     		?>
	    </select>
            </div>
          </div>
          
	<div class="panel panel-default">
	    <div class="panel-heading">
	      <h4 class="panel-title">
		<a data-toggle="collapse" href="#collapseHtml">Aggiungi css/javascript </a></h4> 
	    </div>
	    <div id="collapseHtml" class="panel-collapse collapse">

		  <div class="form-group">
			<label for="select1" class="col-sm-6 control-label">Codice css</label>
		  </div>
		    
	          <div class="form-group">
		    <div class="col-sm-11 col-sm-offset-1">
		      <textarea class="form-control" rows="15" name="cssPersonalizzato" placeholder="Inserisci qui il css aggiuntivo"><?php 
				if(isset($pagina)) {
					echo $pagina["cssPersonalizzato"];
				}
			?></textarea>
		    </div>
		  </div>
		  
		  <div class="form-group">
			<label for="select1" class="col-sm-6 control-label">Codice javascript</label>
		  </div>
		    
	          <div class="form-group">
		    <div class="col-sm-11 col-sm-offset-1">
		      <textarea class="form-control" rows="15" name="javascriptPersonalizzato" placeholder="Inserisci eventuali script javascript aggiuntivi"><?php 
				if(isset($pagina)) {
					echo $pagina["javascriptPersonalizzato"];
				}
			?></textarea>
		    </div>
		  </div>
	    </div>
	    
	  </div>

          <input type="text" class="hidden" name="idPagina" value="0">
          
          <div class="form-group">
            <div class="col-sm-offset-1 col-sm-9">
              <button type="button" class="btn btn-primary" onclick=invia()>Salva</button>
            </div>
          </div>
         </form>
        
      </div>
        <?php
            if(isset($pagina)) {
                include "include/componentiSingolaPagina.php";
            }
        ?>
    </div>
    <!-- /prima colonna --> 
    
    <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
<div class="panel-group" id="accordion">
        
        <!-- /quì si chiude la form della creazione/modifica pagina, deve comprendere anche le eventuali gallerie da associare-->
        
      </div>
    </div>
  </div>


 
</div>    </div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->

    <?php 

        include "include/modalAggiungiComponente.php";

        $queryComponentiDaMostrare = "SELECT c.id, cm.nome, c.posizione, c.testo, c.idElemento, c.idSezione, c.classeSezione, cm.tipo FROM geecAd_composizionePagine AS c JOIN geecAd_componenti AS cm ON c.idComponente=cm.id ORDER BY c.posizione ASC";
        $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);
        while($componente = $risComponenti->fetch_assoc()) {
    ?>

    <div class="modal fade" id="configuraComponente<?php echo $componente["id"]; ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog  modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Configura componente <b><?php echo $componente["nome"]; ?></b></h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="pagine/aggiornaComponentePagina.php" method="post" enctype="multipart/form-data" >
                <input type="text" class="hidden" name="idComponente" value="<?php echo $componente["id"]; ?>">

                <div class="form-group">
                    <label for="inputPassword3" class="col-sm-3 control-label">Id sezione:</label>
                    <div class="col-sm-3">
                        <input type="text" class="form-control" name="idSezione" value="<?php echo $componente["idSezione"]; ?>">
                    </div>
                    <label for="inputPassword3" class="col-sm-3 control-label">Classe sezione:</label>
                    <div class="col-sm-3">
                        <input type="text" class="form-control" name="classeSezione" value="<?php echo $componente["classeSezione"]; ?>">
                    </div>
                </div>
	<?php 
                if($componente["nome"]=="Intestazione") {
	?>
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Titolo</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="testo" value="<?php echo $componente["testo"]; ?>">
            </div>
          </div>
	<?php 
		}
		if($componente["nome"]=="Html") {
	?>
          <div class="form-group">
            <div class="col-sm-12">
              <textarea name=testo cols=60 rows=10><?php echo $componente["testo"]; ?></textarea>
            </div>
          </div>
	<?php 
		}
		if($componente["nome"]=="Testo") {
	?>
          <div class="form-group">
            <div class="col-sm-12">
              <textarea class="editorTesto" name=testo  cols=50 rows=10><?php echo $componente["testo"]; ?></textarea>
            </div>
          </div>
	<?php 
		}
		if($componente["nome"]=="Includi codice") {
	?>
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">File da includere</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="testo" value="<?php echo $componente["testo"]; ?>">
            </div>
          </div>
	<?php 
		}
		if($componente["nome"]=="Immagine") {
	?>
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Carica file</label>
	    <div class="col-sm-9">
            <input type="file" id="inputFile" name="file" multiple="">
            </div>
          </div>
	<?php 
		}
                
                if($componente["tipo"]=="componenteDinamicoPagine") {
        ?>
            
            <div class="form-group">
                <label for="inputPassword3" class="col-sm-3 control-label">Id elemento:</label>
                <div class="col-sm-9">
                    <div class="input-group">
                        <input type="text" class="form-control" name="idElemento" value="<?php echo $componente["idElemento"]; ?>">
                        <div class="input-group-addon noPadding">
                            <?php 
                                $linkModifica = creaLinkModifica($componente,"../");
                            ?>
                            <button type="button" class="btn btn-primary noBorder" onclick="{location.href='<?php echo $linkModifica; ?>';}"><span class="glyphicon glyphicon-edit"></span> Configura il componente</button>
                        </div>
                    </div>
                </div>
            </div>
	<?php 
                }
	?>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="submit" class="btn btn-primary" >Salva</button>
          </div>
        </form>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
	<?php
            }
	?>
</div>
    
    <?php  
        include "include/footer.php";
    ?>

    <!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
    <!-- abilita popover -->
    <script type="text/javascript">
            $(document).ready(function(){
                    $("[rel=tooltip]").tooltip({ placement: 'bottom'});
            }); 
    </script>
	
    <script type="text/javascript">	

        //funzione di invio dati. Titolo e testo sono campi obbligatori, se non sono stati inseriti viene visualizzato un messaggio
        function invia() {
            if($('#titoloPagina').val()=="") {
                alert("Inserisci il titolo");
            }
            else {
                document.formCreaPagina.submit();
            }
        }

        function cambiaMenu(tipo) {
            if(tipo=="principale" || tipo=="nessuna") {
                $('#tagSottomenu').hide();
            }
            else {
                $('#tagSottomenu').show();
            }
        }
    </script>

    <!-- Editor articolo -->
    <script type="text/javascript" src="../js/tinymce/tinymce.min.js"></script>
    <script type="text/javascript">
        // funzione per modificare la posizione di un elemento
        function modificaPosizione(idPagina,idCampoInput,idVoceMenu) {
                var posizione = $('#'+idCampoInput).val();
                location.href = "pagine/aggiornaPosizione.php?idPagina="+idPagina+"&id="+idVoceMenu+"&posizione="+posizione;
        }

        tinymce.init({
            selector: ".editorTesto",
            branding: false,
            plugins: "textcolor link pagebreak jbimages media",
            pagebreak_separator: "<!-- leggi tutto -->",
            toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor jbimages media",
            language : 'it'
         });
    </script>

</body>
</html>
<?php
    /*
     * la variabile percorsoBase va compilata se il file che invoca questa
     * funzione risiede in una posizione diversa dalla cartella base 
     * dell'amministrazione
     * 
     * Quindi file come creaContenuto.php non devono usarla, creaElemento.php
     * posizionato all'interno di portfolio deve usarla
     */
    function creaLinkModifica($componente,$percorsoBase="") {
        if($componente["nome"]=="Risorse") {
            return "{$percorsoBase}componenti/visualizzatoreRisorse/creaVisualizzatoreRisorse.php?id={$componente["idElemento"]}";
        }
        else if($componente["nome"]=="Risorse private") {
            return "{$percorsoBase}componenti/visualizzatoreRisorsePrivate/creaVisualizzatoreRisorsePrivate.php?id={$componente["idElemento"]}";
        }
        else {
            $nomeSenzaSpazi = str_replace(" ", "",ucwords($componente["nome"]));
            $primoCarattere = substr($nomeSenzaSpazi, 0,1);
            $primoCarattereMinuscolo = strtolower($primoCarattere);
            $arrayParole = explode(" ", $componente["nome"]);
            $cartellaComponente = $primoCarattereMinuscolo.substr($nomeSenzaSpazi, 1, strlen($nomeSenzaSpazi)-1);
            return "{$percorsoBase}componenti/$cartellaComponente/crea{$arrayParole[0]}.php?id={$componente["idElemento"]}";
        }
    }