<?php 
    /**
    *
    * copyright (c) 2013-2017 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || ($_SESSION["geecomAdmin_ruolo"]!="super admin" && $_SESSION["geecomAdmin_ruolo"]!="amministratore")) {
        header("Location: index.php");
        exit();
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom admin - gestione amministratori</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

</head>

<body>

<div id="wrap">
    
    <!-- barra superiore -->
	<?php  
		include "include/barraSuperiore.php";
	?>
    <!-- /barra superiore -->
    
    <!-- header di pagina -->
	<?php 
		include "include/header.php";
	?>
    <!-- /header di pagina -->
    
    <!-- riga menu principale -->
	<?php 
		include "include/menuPrincipale.php";
	?>
    <!-- /riga menu principale -->
    
    <!-- Modal box creazione amministratore-->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Crea un nuovo amministratore</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm" action="amministratori/creaAmministratore.php" method="post">
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="campoTesto1" name="nome" placeholder="Nome">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputEmail3" class="col-sm-3 control-label">Email</label>
            <div class="col-sm-9">
              <input type="email" class="form-control" id="inputEmail3" name="email" placeholder="Email">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputEmail3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="email" class="form-control" name="password" placeholder="Password">
            </div>
          </div>
          
          <input type="text" class="hidden" name="idAmministratore" value=0>
          
          <div class="form-group">
            <label for="selectEsempio1"class="col-sm-3 control-label">Ruolo</label>
            <div class="col-sm-4">
            <select class="form-control" name="ruolo">
			<option value="amministratore">amministratore</option>
			<option value="super admin">super admin</option>
            </select>
            </div>
           </div>
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.modalForm.submit();}>Crea amministratore</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box modifica amministratore-->
    <div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel2">Modifica dei dati dell'amministratore: </h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm2" action="amministratori/creaAmministratore.php" method="post">
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="campoTesto2" name="nome" placeholder="Nome">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Ruolo</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="ruoloAmministratore" name="ruolo" value="" placeholder="Nome">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputEmail3" class="col-sm-3 control-label">Email</label>
            <div class="col-sm-9">
              <input type="email" class="form-control" id="inputEmail2" name="email" placeholder="Email">
            </div>
          </div>
          
             <input type="text" class="hidden" id="idAmministratore" name="idAmministratore" value=0>
          
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.modalForm2.submit();}>Crea utente</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
     <!-- Modal box conferma cancellazione elemento-->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Eliminare l'utente: </h4>
          </div>
            <form class="form-horizontal" role="form" name="formCancellazione" action="amministratori/cancellaAmministratore.php" method="post">
	       	<input type="text" class="hidden" id="utenteDaEliminare" name="idUtente" >
        	  </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazione.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
     
        <!-- riga menu secondario -->
        <div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" data-toggle="modal" data-target="#myModal" href="#">Nuovo amministratore</a></li>
                </div>
                <div class="pull-right">
                    <form class="navbar-form navbar-right" action="gestioneAmministratori.php" method=get role="search">
                        <div class="form-group">
                            <input type="text" class="form-control" name="cerca" <?php if(isset($_GET["cerca"])) {
                                    echo"value=\"{$_GET["cerca"]}\"";
                                } ?> placeholder="Cerca">
                        </div>
                        <button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-search"></span></button>
                    </form>
                </div>
            </div>
        </div>
        <!-- /riga menu secondario -->
        <?php
            if(isset($_GET["status"])) {
                if($_GET["status"]==1) {
                    echo"<p class=\"alert alert-success\">Amministratore creato</p>";
                }
                else if($_GET["status"]==2) {
                    echo"<p class=\"alert alert-success\">Amministratore modificato</p>";
                }
                else if($_GET["status"]==4) {
                    echo"<p class=\"alert alert-success\">Stato dell'amministratore modificato</p>";
                }
                else { //status = 5
                    echo"<p class=\"alert alert-success\">Amministratore eliminato</p>";
                }
            }
	?>
	
     <div class="panel panel-default">
      <div class="panel-heading">Elenco amministratori</div>
    
      <!-- tabella -->
      <div class="table-responsive">
	    <table class="table table-hover table-condensed">
          <thead>
            <tr>
              <th>Nome</th>
              <th>Email</th>
		    <th>Ruolo</th>
              <th>Stato</th>
              <th>Azioni</th>
            </tr>
          </thead>
          <tbody>
             	<?php 
				$risultatiPerPagina = 15;// <-- cambiare questo valore per modificare il numero di risultati per pagina
				if(isset($_GET["pag"])) {
					$queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_admin WHERE nome LIKE '%{$_GET["cerca"]}%'";
				}
				else {
					$queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_admin";
				}
				$risnumAmministratori = $geecomDb->eseguiQueryLettura($queryNumeroUtenti);
				$numAmministratori = $risnumAmministratori->fetch_array(MYSQLI_NUM);
				
				if(isset($_GET["pag"])) {
					$limSup = $risultatiPerPagina * $_GET["pag"];
					$limInf = $limSup - $risultatiPerPagina;
					if(isset($_GET["cerca"])) {
						$queryUtenti="SELECT * FROM geecAd_admin WHERE nome LIKE '%{$_GET["cerca"]}%' ORDER BY id DESC LIMIT $limInf, $limSup";
					}
					else {
						$queryUtenti="SELECT * FROM geecAd_admin ORDER BY id DESC LIMIT $limInf, $limSup";
					}
					$paginaCorrente = $_GET["pag"];
				}
				else {
					if(isset($_GET["cerca"])) {
						$queryUtenti="SELECT * FROM geecAd_admin WHERE nome LIKE '%{$_GET["cerca"]}%' ORDER BY id DESC LIMIT $risultatiPerPagina";
					}
					else {
						$queryUtenti="SELECT * FROM geecAd_admin ORDER BY id DESC LIMIT $risultatiPerPagina";
					}
					$paginaCorrente = 1;
				}

				$result = $geecomDb->eseguiQueryLettura($queryUtenti);
		      		while($utente=$result->fetch_assoc()) {
						echo"<tr>
					    <td>{$utente["nome"]}</td>
					    <td>{$utente["email"]}</td>
					    <td>{$utente["ruolo"]}</td>
					    <td>{$utente["stato"]}</td>
					    <td>";
						 if($utente["stato"]=="sospeso") {
							 echo"<button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"amministratori/sospendiAmministratore.php?id={$utente["id"]}\";}><span class=\"glyphicon glyphicon-ok\"></span>Riattiva</button>";
						 }
						 else {
						 	 echo"<button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"amministratori/sospendiAmministratore.php?id={$utente["id"]}\";}><span class=\"glyphicon glyphicon-remove\"></span>Sospendi</button>";
						 }
						 echo"<button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaAmministratore({$utente["id"]},'{$utente["nome"]}','{$utente["email"]}','{$utente["ruolo"]}')\"><span class=\"glyphicon glyphicon-repeat\"></span>Modifica</button>
						 <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaAmministratore({$utente["id"]},'{$utente["nome"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>";
					    echo"</td>
					  </tr>";
					}
           	?>
            
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
   
    </div>
    
 <!-- paginazione -->
    <?php
    		if($numAmministratori[0]>$risultatiPerPagina) {
			echo"<ul class=\"pagination pagination-sm\">";
			if(isset($_GET["cerca"])) {
				if($paginaCorrente==1) {
					echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
				}
				else {
					$prec = $paginaCorrente-1;
					echo"<li ><a href=\"gestioneComunicazioni.php?pag=$prec&cerca={$_GET["cerca"]}\">&laquo;</a>";
				}
				$numeroPagine = ceil($numAmministratori[0]/$risultatiPerPagina);
		    		for($i=1;$i<$numeroPagine+1;$i++) {
					if($i==$paginaCorrente) {
						echo"<li class=\"active\"><a href=\"gestioneComunicazioni.php?pag=$i\">$i</a></li>";				
					}
					else {
						echo"<li><a href=\"gestioneComunicazioni.php?pag=$i&cerca={$_GET["cerca"]}\">$i</a></li>";
					}
		    		}
		    		if($paginaCorrente==$numAmministratori[0]) {
					echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
				}
				else {
					$succ = $paginaCorrente+1;
					echo"<li ><a href=\"gestioneComunicazioni.php?pag=$succ&cerca={$_GET["cerca"]}\">&raquo;</a>";
				}
			}
			else {
				if($paginaCorrente==1) {
					echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
				}
				else {
					$prec = $paginaCorrente-1;
					echo"<li ><a href=\"gestioneComunicazioni.php?pag=$prec&cerca={$_GET["cerca"]}\">&laquo;</a>";
				}
				$numeroPagine = ceil($numAmministratori[0]/$risultatiPerPagina);
		    		for($i=1;$i<$numeroPagine+1;$i++) {
					if($i==$paginaCorrente) {
						echo"<li class=\"active\"><a href=\"gestioneComunicazioni.php?pag=$i\">$i</a></li>";				
					}
					else {
						echo"<li><a href=\"gestioneComunicazioni.php?pag=$i\">$i</a></li>";
					}
		    		}
		    		if($paginaCorrente==$numAmministratori[0]) {
					echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
				}
				else {
					$succ = $paginaCorrente+1;
					echo"<li ><a href=\"gestioneComunicazioni.php?pag=$succ\">&raquo;</a>";
				}
			}
	    		echo"</ul>";
    		}
    ?>
    <!-- /paginazione -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <?php
        include "include/footer.php";
    ?>

<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
   <script src="../js/util.js"></script>
   
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 
	
	<script type="text/javascript">
	
		function modificaAmministratore(idAmministratore,nome,email,ruolo) {
			$('#myModalLabel2').text("Modifica i dati dell'utente "+nome);
			document.getElementById("idAmministratore").value = idAmministratore;
			document.getElementById("campoTesto2").value = nome;
			document.getElementById("inputEmail2").value = email;
			document.getElementById("ruoloAmministratore").value = ruolo;
			$('#myModal2').modal('show');
		}
		
		function eliminaAmministratore(idUtente,nome) {
			$('#myModalLabel3').text("Eliminare l'amministratore "+nome+"?");
			document.getElementById("utenteDaEliminare").value = idUtente;
			$('#myModal3').modal('show');
		}
	</script>
</body>
</html>
<?php
	}
?>
