<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
    }
    else {
        $geecomDb = new DbManager($costantiDatabase);

        //prendo i valori dalla form
        $nome = $geecomDb->escapeString($_POST["nome"]);
        $descrizione = $geecomDb->escapeString($_POST["descrizione"]);
        $idGruppo=$_POST["idGruppo"];

        if($idGruppo ==0 ) { //il gruppo è nuovo
            //controlla se esiste un gruppo con lo stesso nome
            $query = "SELECT * FROM geecAd_gruppi WHERE nomeGruppo ='$nome'";
            $result = $geecomDb->eseguiQueryLettura($query);
            if ($result->num_rows != 0) { // in questo caso da errore
                header("Location: ../gestioneGruppi.php?status=400");
            }
            else {
                $dataCreazione = date("Y-m-d");
                $queryCreazioneGruppo = "INSERT INTO `geecAd_gruppi` (`id`, `nomeGruppo`, `descrizione`, `dataCreazione`) 
                                            VALUES(NULL,'$nome','$descrizione','$dataCreazione');";
                $geecomDb->eseguiQueryScrittura($queryCreazioneGruppo);
                header("Location: ../gestioneGruppi.php?status=1");
            }
        }
        else {
            $queryAggiornamentoGruppo ="UPDATE geecAd_gruppi SET nomeGruppo='$nome', descrizione='$descrizione' WHERE id=$idGruppo";
            $geecomDb->eseguiQueryScrittura($queryAggiornamentoGruppo);
            header("Location: ../gestioneGruppi.php?status=2");
        }
    }
