<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
      header('Location:index.php');
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        
        $id                     = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
        $colorePrimario         = filter_input(INPUT_POST, "colorePrimario", FILTER_SANITIZE_STRING);
        $coloreSecondario       = filter_input(INPUT_POST, "coloreSecondario", FILTER_SANITIZE_STRING);
        $coloreSuccess          = filter_input(INPUT_POST, "coloreSuccess", FILTER_SANITIZE_STRING);
        $coloreInfo             = filter_input(INPUT_POST, "coloreInfo", FILTER_SANITIZE_STRING);
        $coloreLight            = filter_input(INPUT_POST, "coloreLight", FILTER_SANITIZE_STRING);
        $coloreDark             = filter_input(INPUT_POST, "coloreDark", FILTER_SANITIZE_STRING);
        $coloreWarning          = filter_input(INPUT_POST, "coloreWarning", FILTER_SANITIZE_STRING);
        $coloreDanger             = filter_input(INPUT_POST, "coloreDanger", FILTER_SANITIZE_STRING);
        
        $colorePrimarioHover    = filter_input(INPUT_POST, "colorePrimarioHover", FILTER_SANITIZE_STRING);
        $coloreSecondarioHover  = filter_input(INPUT_POST, "coloreSecondarioHover", FILTER_SANITIZE_STRING);
        $coloreSuccessHover     = filter_input(INPUT_POST, "coloreSuccessHover", FILTER_SANITIZE_STRING);
        $coloreInfoHover        = filter_input(INPUT_POST, "coloreInfoHover", FILTER_SANITIZE_STRING);
        $coloreLightHover       = filter_input(INPUT_POST, "coloreLightHover", FILTER_SANITIZE_STRING);
        $coloreDarkHover        = filter_input(INPUT_POST, "coloreDarkHover", FILTER_SANITIZE_STRING);
        $coloreWarningHover        = filter_input(INPUT_POST, "coloreWarningHover", FILTER_SANITIZE_STRING);
        $coloreDangerHover        = filter_input(INPUT_POST, "coloreDangerHover", FILTER_SANITIZE_STRING);
        
        $colorePrimarioActive   = filter_input(INPUT_POST, "colorePrimarioActive", FILTER_SANITIZE_STRING);
        $coloreSecondarioActive = filter_input(INPUT_POST, "coloreSecondarioActive", FILTER_SANITIZE_STRING);
        $coloreSuccessActive    = filter_input(INPUT_POST, "coloreSuccessActive", FILTER_SANITIZE_STRING);
        $coloreInfoActive       = filter_input(INPUT_POST, "coloreInfoActive", FILTER_SANITIZE_STRING);
        $coloreLightActive      = filter_input(INPUT_POST, "coloreLightActive", FILTER_SANITIZE_STRING);
        $coloreDarkActive       = filter_input(INPUT_POST, "coloreDarkActive", FILTER_SANITIZE_STRING);
        $coloreWarningActive    = filter_input(INPUT_POST, "coloreWarningActive", FILTER_SANITIZE_STRING);
        $coloreDangerActive     = filter_input(INPUT_POST, "coloreDangerActive", FILTER_SANITIZE_STRING);
        
        $breakingPointsXs       = filter_input(INPUT_POST, "breakingPointsXs", FILTER_SANITIZE_STRING);
        $breakingPointsMd       = filter_input(INPUT_POST, "breakingPointsMd", FILTER_SANITIZE_STRING);
        $breakingPointsLg       = filter_input(INPUT_POST, "breakingPointsLg", FILTER_SANITIZE_STRING);
        $breakingPointsXl       = filter_input(INPUT_POST, "breakingPointsXl", FILTER_SANITIZE_STRING);
        
        $query = "UPDATE geec_configurazioniAspetto SET colorePrimario='$colorePrimario', coloreSecondario='$coloreSecondario', coloreSuccess='$coloreSuccess', coloreInfo='$coloreInfo', coloreLight='$coloreLight', coloreDark='$coloreDark', coloreWarning='$coloreWarning', coloreDanger='$coloreDanger',colorePrimarioHover='$colorePrimarioHover', coloreSecondarioHover='$coloreSecondarioHover', coloreSuccessHover='$coloreSuccessHover', coloreInfoHover='$coloreInfoHover', coloreLightHover='$coloreLightHover', coloreDarkHover='$coloreDarkHover', coloreWarningHover='$coloreWarningHover', coloreDangerHover='$coloreDangerHover', colorePrimarioActive='$colorePrimarioActive', coloreSecondarioActive='$coloreSecondarioActive', coloreSuccessActive='$coloreSuccessActive', coloreInfoActive='$coloreInfoActive', coloreLightActive='$coloreLightActive', coloreDarkActive='$coloreDarkActive', coloreWarningActive='$coloreWarningActive', coloreDangerActive='$coloreDangerActive', breakingPointsXs='$breakingPointsXs', breakingPointsMd='$breakingPointsMd', breakingPointsLg='$breakingPointsLg', breakingPointsXl='$breakingPointsXl'"
                . "WHERE id=$id";
        $geecomDb->eseguiQueryLettura($query);
        
        header("Location: ../impostazioni.php?status=250");
    }