    <?php 
        /**
         *
         * copyright (c) 2013-2021 Heliac Technologies
         * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
         *
         * linee guida per l'utilizzo del logo https://www.geecom.org/?alias=linee-guida-per-luso-del-logo-geecom
         */
        $queryComponentiDaMostrare = "SELECT c.id, c.idPagina, c.idSezione, c.testo, cm.nome, cm.tipo, cm.paginaGestione, c.posizione FROM geecAd_composizionePagine AS c JOIN geecAd_componenti AS cm ON c.idComponente=cm.id WHERE c.idPagina = {$pagina["id"]} ORDER BY c.posizione ASC";
        $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);
        
        // se nella pagina ci sono più di 7 componenti viene inserito anche un pulsante in 
        // alto per non costringere l'utente ad arrivare in fondo alla pagina
        if($risComponenti->num_rows>7) {
    ?>
        <div class="row">
            <div class="col-xs-10 col-xs-offset-1 col-sm-6 col-sm-offset-3 col-md-4 col-md-offset-4 text-center ">
                <a class="btn btn-success btn-block" data-toggle="modal" data-target="#aggiungi-componente"> Aggiungi un componente <i class="fa fa-plus"></i> </a>
            </div>
        </div>
    <?php
        }
        if($risComponenti->num_rows>0) {
    ?>
    <h4 class=text-center> Componenti pagina</h4>
      <div class="table-responsive">
	  <table class="table table-hover table-condensed">
	  <thead>
	    <tr>
	      <th>Componente</th>
              <th>Id sezione</th>
	      <th>Posizione</th>
	      <th>Azioni</th>
	    </tr>
	  </thead>
	  <tbody>
	    <?php
                }
                else {
                    echo"<h4 class=text-center> Nessun componente presente in questa pagina</h4>"
                    . "<div class=\"table-responsive\">"
                        . "<table class=\"table table-hover table-condensed\">";
                }
                while($componente = $risComponenti->fetch_assoc()) {
                    $posizionePrecedente = $componente["posizione"]-1;
                    $posizioneSuccessiva = $componente["posizione"]+1;
                    echo"<tr>
                        <td>{$componente["nome"]}</td>
                        <td>{$componente["idSezione"]}</td>
                        <td> 
                            <div class=\"input-group lunghezza180\">
                             <input type=\"text\" class=\"form-control\" id=\"posizioneVoce{$componente["id"]}\" value=\"{$componente["posizione"]}\" />
                             <span class=\"input-group-btn\">
                                    <button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaPosizione({$componente["idPagina"]},'posizioneVoce{$componente["id"]}',{$componente["id"]})\"><span class=\"glyphicon glyphicon-save\"></span>Salva</button>
                             </span>
                             </div>
                        </td>
                        <td>
                             <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"impostazioni/spostaComponente.php?id={$componente["id"]}&pos=$posizionePrecedente&tabella=pagine\";}><span class=\"glyphicon glyphicon-arrow-up\"></span></button>
                             <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"impostazioni/spostaComponente.php?id={$componente["id"]}&pos=$posizioneSuccessiva&tabella=pagine\";}><span class=\"glyphicon glyphicon-arrow-down\"></span></button>";
                             if($componente["tipo"]=="componenteDinamico" || $componente["tipo"]=="componenteDinamicoPagine") {
                                 echo"<button type=\"button\" class=\"btn btn-primary\" data-toggle=\"modal\" data-target=\"#configuraComponente{$componente["id"]}\" ><span class=\"glyphicon glyphicon-cog\"></span></button>";
                             }
                             else {
                                echo"<button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='componenti/{$componente["paginaGestione"]}'}\" ><span class=\"glyphicon glyphicon-cog\"></span></button>";
                             }
                             echo"<button type=\"button\" class=\"btn btn-danger\" onclick={location.href=\"pagine/disattivaComponente.php?id={$componente["id"]}&op=disattiva&col=home\";}><span class=\"glyphicon glyphicon-remove\"></span></button>
                        </td>
                    </tr>";
                }
            ?>
	</table>
      </div>
      <!-- /tabella -->
      
    <div class="row">
        <div class="col-xs-10 col-xs-offset-1 col-sm-6 col-sm-offset-3 col-md-4 col-md-offset-4 text-center ">
            <a class="btn btn-success btn-block" data-toggle="modal" data-target="#aggiungi-componente"> Aggiungi un componente <i class="fa fa-plus"></i> </a>
        </div>
    </div>