    <?php
	/*
	* copyright (c) 2013-2020 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
    
        $data1MeseFa       = date("Y-m-d h:i:sa", strtotime("-1 Months"));
        $queryUtentiAttivi = "SELECT * FROM geecAd_utenti WHERE ultimoLogin > '$data1MeseFa'";
        $risUtentiAttivi   = $geecomDb->eseguiQueryLettura($queryUtentiAttivi);
        $utentiAttivi      = $risUtentiAttivi->num_rows;
        $numeroUtenti      = $geecomDb->contaRigheTabella("geecAd_utenti");
        $datiLogin         = $geecomDb->leggiSingolaRiga("geecAd_login",1);
        $numeroLogin       = $datiLogin["numeroLogin"];
        $loginOggi         = $datiLogin["loginOggi"];
        $datiUtilizzoPiattaforma = calcoloUtilizzoPiattaforma($numeroUtenti,$utentiAttivi);
    ?>
    <!-- icone dashboard -->
    <div id="areaIconeDash">
        <div class="col-md-3">
            <div class="alert alert-<?php echo $datiUtilizzoPiattaforma["classeBoxUtilizzo"]; ?> text-center" role="alert">
                <p>L'indice di utilizzo è <strong><?php echo $datiUtilizzoPiattaforma["percentualeUtilizzo"]; ?>/100</strong></p>
                <hr>
                <p class="small">
                    <?php echo $datiUtilizzoPiattaforma["fraseUtilizzo"]; ?><i class="fa fa-question-circle" data-toggle="popover" title="Che significa?" data-content="La percentuale media di utilizzo delle aree riservate è 40/100"></i>
                </p>
                <a href="statistiche.php" class="btn btn-<?php echo $datiUtilizzoPiattaforma["classeBoxUtilizzo"]; ?> extraspace-top negative">Dettagli</a>
            </div>
        </div>

        <div class="col-md-9">
            <div class="jumbotron">
                <div class="row">
                    <div class="col-xs-6 col-sm-3">
                        <div class="item blue center-block text-center">
                            <h2><strong><?php echo $numeroLogin; ?></strong></h2>
                            <h4>Login</h4>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-3">
                        <div class="item red center-block text-center">
                            <h2><strong><?php echo $loginOggi; ?></strong></h2>
                            <h4>Login oggi</h4>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-3">
                        <div class="item yellow center-block text-center">
                            <?php
                                $queryNumeroComunicazioni = "SELECT * FROM geecAd_comunicazioni WHERE tipo NOT LIKE 'footer'";
                                $risComunicazioni = $geecomDb->eseguiQueryLettura($queryNumeroComunicazioni);
                                $numeroComunicazioni = $risComunicazioni->num_rows;
                            ?>
                            <h2><strong><?php echo $numeroComunicazioni; ?></strong></h2>
                            <h4>Comunicazioni</h4>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-3">
                        <div class="item light-blue center-block text-center">
                            <h2><strong><?php echo $utentiAttivi; ?></strong></h2>
                            <h4>Utenti attivi</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-sm-6 col-md-3">
                <div class="areaIcona">
                    <div class="icona"><img class="center-block" src="../template/img/dash/icona_utenti.png" alt="articoli"/></div>
                    <div class="text-center">
                        <h4><strong><?php echo $numeroUtenti; ?></strong> Utenti</h4>
                    </div>
                    <hr>
                    <div class="btn-group btn-group-justified">
                        <a class="btn btn-default btn-block" href="gestioneUtenti.php?a=crea nuova" >Crea nuovo <span class="glyphicon glyphicon-plus"></span></a>
                        <a class="btn btn-default btn-block" href=gestioneUtenti.php >Vedi tutti <span class="glyphicon glyphicon-eye-open"></span></a>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="areaIcona">
                     <?php 
                        $numeroGruppi = $geecomDb->contaRigheTabella("geecAd_gruppi");
                     ?>
                    <div class="icona"><img class="center-block" src="../template/img/dash/icona_gruppi.png" alt="articoli"/></div>
                    <div class="text-center">
                        <h4><strong><?php echo $numeroGruppi; ?></strong> Gruppi</h4>
                    </div>
                    <hr>
                    <div class="btn-group btn-group-justified">
                        <a class="btn btn-default btn-block" href="gestioneGruppi.php?a=crea nuova" >Crea nuovo <span class="glyphicon glyphicon-plus"></span></a>
                        <a class="btn btn-default btn-block" href=gestioneGruppi.php >Vedi tutti <span class="glyphicon glyphicon-eye-open"></span></a>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="areaIcona">
                    <div class="icona"><img class="center-block" src="../template/img/dash/icona_articoli.png" alt="articoli"/></div>
                    <div class="text-center">
                        <h4><strong><?php echo $numeroComunicazioni; ?></strong> Comunicazioni</h4>
                    </div>
                    <hr>
                    <div class="btn-group btn-group-justified">
                        <a class="btn btn-default btn-block" href="creaComunicazione.php" >Crea nuova <span class="glyphicon glyphicon-plus"></span></a>
                        <a class="btn btn-default btn-block" href=gestioneComunicazioni.php >Vedi tutte <span class="glyphicon glyphicon-eye-open"></span></a>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="areaIcona">
                    <div class="icona"><img class="center-block" src="../template/img/dash/icona_pagine.png" alt="articoli"/></div>
                    <div class="text-center">
                        <?php 
                            $numeroPagine = $geecomDb->contaRigheTabella("geecAd_pagine");
                        ?>
                        <h4><strong><?php echo $numeroPagine; ?></strong> Pagine</h4>
                    </div>
                    <hr>
                    <div class="btn-group btn-group-justified">
                        <a class="btn btn-default btn-block" href="creaPagina.php" >Crea nuova <span class="glyphicon glyphicon-plus"></span></a>
                        <a class="btn btn-default btn-block" href=gestionePagine.php >Vedi tutte <span class="glyphicon glyphicon-eye-open"></span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
            

