<?php 
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
?>
    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Informazioni template</h3>
            <div class="row row-negative-margin">
                <div class="col-sm-12">
                     <?php echo $configurazioneColore["descrizione"]; ?>
                </div>
            </div>
            <div class="row row-negative-margin">
                <div class="col-xs-12 col-md-6">
                    <label>Carica un'altra combinazione</label>
                    <div class="input-group col-sm-12">
                        <select class="form-control" id="idConfigurazione">
                            <?php 
                                $queryPagine = "SELECT * FROM geec_configurazioniAspetto";
                                $risConfigurazioni = $geecomDb->eseguiQueryLettura($queryPagine);
                                while($configurazione = $risConfigurazioni->fetch_assoc()) {
                                    if($configurazione["selezionataAdmin"]=="si") {
                                        echo"<option value=\"{$configurazione["id"]}\" selected >{$configurazione["nome"]}</option>";
                                    }
                                    else {
                                        echo"<option value=\"{$configurazione["id"]}\">{$configurazione["nome"]}</option>";
                                    }
                                }
                            ?>
                        </select>
                        <span class="input-group-btn">
                            <button class="btn btn-primary pull-left" type="button" onclick="caricaConfigurazione()" >Carica</button>
                        </span>
                    </div>
                </div>
                <div class="col-xs-12 col-md-6">
                    <label>Operazioni</label><br>
                    <button class="btn btn-default" type="button" data-toggle="modal" data-target="#modalSalvaConfigurazione"><i class="fa fa-clone"></i> Clona</button>
                    <button class="btn btn-default" type="button" onclick="esportaConfigurazione()"><i class="fa fa-save"></i> Esporta</button>
                </div>
            </div>
        </div>
    </div>

    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Logo e CSS</h3>
            <form class="form-horizontal" role="form" name="formSettaggiAspetto" action="impostazioni/aggiornaImpostazioniAreaUtente.php" method="post" enctype="multipart/form-data">
                <div class="row row-negative-margin">
                    <div class="col-sm-6">
                        <div class="form-group">                            
                            <label for="InputFile" >Logo esteso:</label>
                            <img class="img-responsive logo" src="<?php echo "../".$configurazioneColore["logo"]; ?>">
                        </div>
                        <div class="form-group">
                            <label for="InputFile"class="col-sm-2 control-label">Nuovo</label>
                            <div class="col-sm-4">
                                <input type="file" id="InputFile" name="logo" multiple="" accept="image/*">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="InputFile" >Logo ridotto:</label>
                            <img class="img-responsive logo" src="<?php echo "../".$configurazioneColore["logo"]; ?>">
                        </div>
                        <div class="form-group">
                            <label for="InputFile"class="col-sm-2 control-label">Nuovo</label>
                            <div class="col-sm-4">
                                <input type="file" id="InputFile" name="logo" multiple="" accept="image/*">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group">

                    <label for="InputFile"class="col-sm-2 control-label">Cambia il file stile.css</label>
                    <div class="col-sm-4">
                        <input type="file" id="InputFile" name="filecss" >
                    </div>
                </div>

                <div class="form-group">
                    <label for="select1" class="col-sm-2 control-label">Titolo </label> 
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="titoloArticolo" name="titoloAreaLogin" value="<?php echo($impostazioni['titoloAreaLogin']); ?>">
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-12">
                        <textarea class="form-control" rows="8" id="testoArticolo" name="testoAreaLogin" placeholder="Inserisci qui il testo"><?php echo($impostazioni['testoAreaLogin']); ?></textarea>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-12">
                        <button type="button" class="btn btn-primary pull-right" onclick=document.formSettaggiAspetto.submit()> <i class="fa fa-check"></i> Salva</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    
    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Colori</h3>
        </div>
        <form action="impostazioni/aggiornaImpostazioniColori.php" method="post" >
            <input class="hidden" type="text" name="id" value="<?php echo $configurazioneColore["id"]; ?>" class="form-control" />
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Primary </label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="colorePrimario" name="colorePrimario" value="<?php echo $configurazioneColore["colorePrimario"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Primary hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="colorePrimarioHover" name="colorePrimarioHover" value="<?php echo $configurazioneColore["colorePrimarioHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>										

                <label>Primary active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="colorePrimarioActive" name="colorePrimarioActive" value="<?php echo $configurazioneColore["colorePrimarioActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>								
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
              <label>Secondary</label>
              <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreSecondario" name="coloreSecondario" value="<?php echo $configurazioneColore["coloreSecondario"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
              </div>
              <label>Secondary hover</label>
              <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreSecondarioHover" name="coloreSecondarioHover" value="<?php echo $configurazioneColore["coloreSecondarioHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
              </div>
              <label>Secondary active</label>
              <div class="input-group colorpicker-component selettore-colore">
                    <input type="text"  id="coloreSecondarioActive" name="coloreSecondarioActive" value="<?php echo $configurazioneColore["coloreSecondarioActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
              </div>										
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Light </label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreLight" name="coloreLight" value="<?php echo $configurazioneColore["coloreLight"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Light hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreLightHover" name="coloreLightHover" value="<?php echo $configurazioneColore["coloreLightHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>										

                <label>Light active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreLightActive" name="coloreLightActive" value="<?php echo $configurazioneColore["coloreLightActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>								
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Dark </label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreDark" name="coloreDark" value="<?php echo $configurazioneColore["coloreDark"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Dark hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreDarkHover" name="coloreDarkHover" value="<?php echo $configurazioneColore["coloreDarkHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>										

                <label>Dark active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreDarkActive" name="coloreDarkActive" value="<?php echo $configurazioneColore["coloreDarkActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>								
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Success</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreSuccess" name="coloreSuccess" value="<?php echo $configurazioneColore["coloreSuccess"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Success hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreSuccessHover" name="coloreSuccessHover" value="<?php echo $configurazioneColore["coloreSuccessHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Success active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreSuccessActive" name="coloreSuccessActive" value="<?php echo $configurazioneColore["coloreSuccessActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>		
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Info </label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreInfo" name="coloreInfo" value="<?php echo $configurazioneColore["coloreInfo"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Info hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreInfoHover" name="coloreInfoHover" value="<?php echo $configurazioneColore["coloreInfoHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Info active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreInfoActive" name="coloreInfoActive" value="<?php echo $configurazioneColore["coloreInfoActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Warning </label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreWarning" name="coloreWarning" value="<?php echo $configurazioneColore["coloreWarning"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Warning hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreWarningHover" name="coloreWarningHover" value="<?php echo $configurazioneColore["coloreWarningHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Warning active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreWarningActive" name="coloreWarningActive" value="<?php echo $configurazioneColore["coloreWarningActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
            </div>
            <div class="col-xs-12 col-md-4 col-lg-3">
                <label>Danger </label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreDanger" name="coloreDanger" value="<?php echo $configurazioneColore["coloreDanger"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
                <label>Danger hover</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreDangerHover" name="coloreDangerHover" value="<?php echo $configurazioneColore["coloreDangerHover"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>										

                <label>Danger active</label>
                <div class="input-group colorpicker-component selettore-colore">
                    <input type="text" id="coloreDangerActive" name="coloreDangerActive" value="<?php echo $configurazioneColore["coloreDangerActive"]; ?>" class="form-control" />
                    <span class="input-group-addon"><i></i></span>
                </div>
            </div>
            <div class="col-xs-12">
                <hr>
                <button class="btn btn-primary pull-right" type="submit"><i class="fa fa-check"></i> Salva</button>
            </div>
        </form>
    </div>