    <?php 
        /**
        *
        * copyright (c) 2013-2020 Heliac Technologies
        * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
        *
        * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
        */
    ?>

    <div class="row row-negative-margin">
        <div class="col-xs-12">
            <h3>Importa / esporta</h3>
            <div class="well">
                In questa sezione è possibile importare o esportare i contenuti e le configurazioni di questa 
                installazione di Geecom Cms. Per maggiori informazioni consultare il manuale di Geecom.
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12 col-sm-6 ">
            <div class="panel-heading">
                <h3 class="panel-title"><strong>Importa</strong></h3>
            </div>
            <form class="form-horizontal" role="form" action="../controller/controllerImportazioni.php" method="post" enctype="multipart/form-data">
                <div class="form-group">
                      <label for="inputFile" class="col-sm-3 control-label">File</label>
                      <div class="col-sm-9">
                          <input type="file" name="file">
                          <p class="help-block">Carica il tuo file .csv</p>
                      </div>
                </div>
                <div class="form-group">
                    <label for="selectEsempio1" class="col-sm-3 control-label">Tipo</label>
                    <div class="col-sm-9">
                        <select class="form-control" name="tabella" onchange="mostraCampi(this.value)">
                            <option value="">seleziona</option>
                            <option value="geecAd_utenti">Utenti</option>
                            <option value="geecAd_gruppi">Gruppi</option>
                            <option value="geecAd_comunicazioni">Comunicazioni</option>
                            <option value="geecAd_vociPrimaNota">Voci prima nota</option>
                            <option value="geecAd_ricevute">Ricevute</option>
                            <option value="geecAd_fatture">Fatture</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                      <label for="" class="col-sm-3 control-label">Forza id</label>
                      <div class="col-sm-9">
                          <input type="checkbox" class="js-switch" value="si" name="forzaId" />
                      </div>
                </div>
                <div class="form-group">
                      <label for="" class="col-sm-3 control-label">Salta intestazione</label>
                      <div class="col-sm-9">
                          <input type="checkbox" class="js-switch" value="si" name="saltaIntestazione" />
                      </div>
                </div>
                <div class="form-group">
                    <div class="col-xs-12">
                        <button type="submit" class="btn btn-primary pull-right">Avvia importazione</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="col-xs-12 col-sm-6">
            <div class="panel-heading">
                <h3 class="panel-title"><strong>Esporta</strong></h3>
            </div>
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-3">
                    <a class="btn btn-primary btn-block" href="../controller/controllerEsportazioni.php?operazione=esportaTabella&tabella=geecAd_utenti">
                        <img class="img-responsive dash_icon center-block" src="../template/img/dash/icona_utenti.svg">
                        Utenti
                    </a>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-3">
                    <a class="btn btn-primary btn-block" href="../controller/controllerEsportazioni.php?operazione=esportaTabella&tabella=geecAd_gruppi">
                        <img class="img-responsive dash_icon center-block" src="../template/img/dash/icona_gruppi.svg">
                        Gruppi
                    </a>  
                </div>
                <div class="col-xs-6 col-md-4 col-lg-3">
                    <a class="btn btn-primary btn-block" href="../controller/controllerEsportazioni.php?operazione=esportaTabella&tabella=geec_configurazioniAspetto">
                        <img class="img-responsive dash_icon center-block" src="../template/img/dash/icona_aspetto.svg">
                        Impostazioni aspetto
                    </a>  
                </div>
            </div>
            
            <div class="panel-heading"></div>
            <div class="row">
                <div class="col-xs-6 col-md-4 col-lg-3">
                    <a class="btn btn-primary btn-block" href="../controller/controllerEsportazioni.php?operazione=esportaTabella&tabella=geecAd_vociPrimaNota">
                        <img class="img-responsive dash_icon center-block" src="../template/img/dash/icona_prima_nota.svg">
                        Voci prima nota
                    </a>
                </div>
                <div class="col-xs-6 col-md-4 col-lg-3">
                    <a class="btn btn-primary btn-block" href="../controller/controllerEsportazioni.php?operazione=esportaTabella&tabella=geecAd_ricevute">
                        <img class="img-responsive dash_icon center-block" src="../template/img/dash/icona_ricevute.svg">
                        Ricevute
                    </a>  
                </div>
                <div class="col-xs-6 col-md-4 col-lg-3">
                    <a class="btn btn-primary btn-block" href="../controller/controllerEsportazioni.php?operazione=esportaTabella&tabella=geecAd_fatture">
                        <img class="img-responsive dash_icon center-block" src="../template/img/dash/icona_fatture.svg">
                        Fatture
                    </a>  
                </div>
            </div>
        </div>
    </div>