<?php 
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
?>
    <h3>Impostazioni generali</h3>
    <form class="form-horizontal" role="form" name="formAggiornamentoImpostazioniGenerali" action="impostazioni/aggiornaImpostazioniGenerali.php" method="post">
        
        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Titolo piattaforma</label> 
            <div class="col-sm-9">
                <input type="text" class="form-control" id="titoloPiattaforma" name="titoloPiattaforma" value="<?php echo($impostazioni['titoloPiattaforma']); ?>">
            </div>
        </div>
        
        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Url piattaforma </label> 
            <div class="col-sm-9">
              <input type="text" class="form-control" id="titoloArticolo" name="urlPiattaforma" value="<?php echo($impostazioni['urlPiattaforma']); ?>">
            </div>
        </div>

        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Home page utenti</label>
            <div class="col-sm-3">
                <select name=homePage class="form-control">
                    <?php
                        $queryComponentiDaMostrare = "SELECT * FROM geecAd_pagine";
                        $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);  
                        while($pagina = $risComponenti->fetch_assoc()) {
                            $selezionato = "";
                            if($impostazioni["homeUtente"]==$pagina["id"]) {
                                $selezionato = "selected";
                            }
                            echo"<option value=\"{$pagina["id"]}\" $selezionato >{$pagina["titolo"]}</option>";
                        }
                    ?>
                </select>
            </div>
            
            <label for="select1" class="col-sm-2 control-label">Pagina notifiche</label>
            <div class="col-sm-3">
                <select name=paginaNotifiche class="form-control">
                    <?php
                        $queryComponentiDaMostrare = "SELECT * FROM geecAd_pagine";
                        $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);  
                        while($pagina = $risComponenti->fetch_assoc()) {
                            $selezionato = "";
                            if($impostazioni["paginaNotifiche"]==$pagina["id"]) {
                                $selezionato = "selected";
                            }
                            echo"<option value=\"{$pagina["id"]}\" $selezionato >{$pagina["titolo"]}</option>";
                        }
                    ?>
                </select>
            </div>
        </div>
        
        <div class="form-group">
            <label for="select1" class="col-sm-3 control-label">Disattiva accesso utenti </label>
            <div class="col-sm-2">
                <label class="radio-inline">
                    <input type="radio" name="disattivaAccessoUtenti" id="inlineRadio1" value="si"
                    <?php
                        if($impostazioni["disattivaAccessoUtenti"]=="si") { // se il valore = si aggiunge la parola checked
                          echo"CHECKED";
                        }
                    ?>
                    > si
                </label>
                <label class="radio-inline">
                    <input type="radio" name="disattivaAccessoUtenti" id="inlineRadio2" value="no"
                    <?php  
                        if($impostazioni["disattivaAccessoUtenti"]=="no") { // se il valore = no aggiunge la parola checked
                           echo"CHECKED";
                        }
                    ?>
                     > no
                </label>
            </div>
            <label for="select1" class="col-sm-3 control-label">Messaggio </label> 
            <div class="col-sm-4">
                <input type="text" class="form-control" name="messaggioAccessoDisattivato" value="<?php echo($impostazioni['messaggioAccessoDisattivato']); ?>">
            </div>
        </div>
        
        <div class="form-group">
             <label for="select1" class="col-sm-3 control-label">Attiva barra cookie (solo per le  pagine pubbliche) </label>
             <div class="col-sm-3">
                   <label class="radio-inline">
                     <input type="radio" name="attivaBarraCookie" id="inlineRadio1" value="si"
                  <?php
                      if($impostazioni["attivaBarraCookie"]=="si") {
                        echo"CHECKED";
                     }
                  ?>
                     > si
                   </label>
                    <label class="radio-inline">
                     <input type="radio" name="attivaBarraCookie" id="inlineRadio2" value="no"
                   <?php  
                     if($impostazioni["attivaBarraCookie"]=="no") { // se il valore = no aggiunge la parola checked
                        echo"CHECKED";
                     }
                   ?>
                     > no
                   </label>
                </div>
             </div>
          
            <div class="form-group">
                <div class="col-sm-12">
                    <hr>
                    <button type="button" class="btn btn-primary pull-right" onclick=document.formAggiornamentoImpostazioniGenerali.submit()><i class="fa fa-check"></i> Salva</button>
                </div>
            </div>
        </form>
