<?php 
	/**
	*
	* copyright (c) 2013-2020 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
        
        $queryModuloRegistrazione = "SELECT * FROM geecAd_moduliRegistrazione WHERE id=1";
        $risModuloRegistrazione = $geecomDb->eseguiQueryLettura($queryModuloRegistrazione);
        $datiModuloRegistrazione = $risModuloRegistrazione->fetch_assoc();
?>

        <form class="form-horizontal" role="form" name="formAggiornamentoModuloRegistrazione" action="impostazioni/aggiornaImpostazioniModuloRegistrazione.php" method="post">
        <h3>Impostazioni utenti</h3>
            <div class="form-group">
                <label for="select1" class="col-sm-3 control-label">Mostra profilo utente </label>
                <div class="col-sm-2">
                    <label class="radio-inline">
                    <input type="radio" name="mostraProfilo" id="inlineRadio1" value="si"
                      <?php
                          if($impostazioni["mostraProfilo"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="mostraProfilo" id="inlineRadio2" value="no"
                       <?php  
                         if($impostazioni["mostraProfilo"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                    </div>

                <label for="select1" class="col-sm-3 control-label">Pagina profilo</label>
                <div class="col-sm-4">
                        <select name=paginaProfilo class="form-control">
                                <option value="0" >Seleziona</option>
                                <?php
                                    $queryComponentiDaMostrare = "SELECT * FROM geecAd_pagine";
                                    $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);  
                                    while($pagina = $risComponenti->fetch_assoc()) {
                                        $selezionato = "";
                                        if($impostazioni["paginaProfiloUtente"]==$pagina["id"]) {
                                            $selezionato = "selected";
                                        }
                                        echo"<option value=\"{$pagina["id"]}\" $selezionato >{$pagina["titolo"]}</option>";
                                    }
                                ?>
                        </select>
                </div>
            </div>

            <div class="form-group">
                <label for="select1" class="col-sm-3 control-label">Consenti registrazioni </label>
                <div class="col-sm-2">
                    <label class="radio-inline">
                      <input type="radio" name="registrazioneUtenti" id="inlineRadio1" value="si"
                      <?php
                          if($impostazioni["registrazioneUtenti"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="registrazioneUtenti" id="inlineRadio2" value="no"
                       <?php  
                         if($impostazioni["registrazioneUtenti"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                </div>
                <label for="select1" class="col-sm-3 control-label"> Gruppo dei nuovi registrati</label>
                <div class="col-sm-4">
                    <select name=gruppoDefault class="form-control">
                        <option value="0" >Seleziona</option>
                        <?php
                            $queryComponentiDaMostrare = "SELECT * FROM geecAd_gruppi";
                            $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);  
                            while($gruppo = $risComponenti->fetch_assoc()) {
                                $selezionato = "";
                                if($impostazioni["gruppoDefault"]==$gruppo["id"]) {
                                    $selezionato = "selected";
                                }
                                echo"<option value=\"{$gruppo["id"]}\" $selezionato >{$gruppo["nomeGruppo"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label for="select1" class="col-sm-3 control-label">Accesso con Facebook </label>
                <div class="col-sm-2">
                    <label class="radio-inline">
                      <input type="radio" name="accessoFacebook" id="inlineRadio1" value="si"
                      <?php
                          if($impostazioni["accessoFacebook"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="accessoFacebook" id="inlineRadio2" value="no"
                       <?php  
                         if($impostazioni["accessoFacebook"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                </div>
                <label for="select1" class="col-sm-3 control-label"> Gruppo dei nuovi registrati</label>
                <div class="col-sm-4">
                    <select name=gruppoDefaultFacebook class="form-control">
                        <option value="0" >Seleziona</option>
                        <?php
                            $queryComponentiDaMostrare = "SELECT * FROM geecAd_gruppi";
                            $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);  
                            while($gruppo = $risComponenti->fetch_assoc()) {
                                $selezionato = "";
                                if($impostazioni["gruppoDefaultFacebook"]==$gruppo["id"]) {
                                    $selezionato = "selected";
                                }
                                echo"<option value=\"{$gruppo["id"]}\" $selezionato >{$gruppo["nomeGruppo"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label for="select1" class="col-sm-3 control-label">Accesso con Google </label>
                <div class="col-sm-2">
                    <label class="radio-inline">
                      <input type="radio" name="accessoGoogle" id="inlineRadio1" value="si"
                      <?php
                          if($impostazioni["accessoGoogle"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="accessoGoogle" id="inlineRadio2" value="no"
                       <?php  
                         if($impostazioni["accessoGoogle"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                </div>
            </div>
            
        <h3>Modulo registrazione</h3>

              <div class="form-group">
                 <label for="select1" class="col-sm-2 control-label">Richiedi nome </label>
                 <div class="col-sm-2">
                    <label class="radio-inline">
                    <input type="radio" name="richiediNome" id="inlineRadio1" value="si"
                      <?php
                          if($datiModuloRegistrazione["richiediNome"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="richiediNome" id="inlineRadio2" value="no"
                       <?php  
                         if($datiModuloRegistrazione["richiediNome"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                    </div>
                 </div>

                 <div class="form-group">
                 <label for="select1" class="col-sm-2 control-label">Richiedi cognome </label>
                 <div class="col-sm-10">
                       <label class="radio-inline">
                         <input type="radio" name="richiediCognome" id="inlineRadio1" value="si"
                      <?php
                          if($datiModuloRegistrazione["richiediCognome"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="richiediCognome" id="inlineRadio2" value="no"
                       <?php  
                         if($datiModuloRegistrazione["richiediCognome"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                    </div>
                 </div>
              <div class="form-group">
                 <label for="select1" class="col-sm-2 control-label">Richiedi email </label>
                 <div class="col-sm-10">
                       <label class="radio-inline">
                         <input type="radio" name="richiediEmail" id="inlineRadio1" value="si"
                      <?php
                          if($datiModuloRegistrazione["richiediEmail"]=="si") { // se il valore = si aggiunge la parola checked
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="richiediEmail" id="inlineRadio2" value="no"
                       <?php  
                         if($datiModuloRegistrazione["richiediEmail"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                    </div>
                 </div>

              <div class="form-group">
                 <label for="select1" class="col-sm-2 control-label">Richiedi password </label>
                 <div class="col-sm-10">
                       <label class="radio-inline">
                         <input type="radio" name="richiediPassword" id="inlineRadio1" value="si"
                      <?php
                          if($datiModuloRegistrazione["richiediPassword"]=="si") {
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="richiediPassword" id="inlineRadio2" value="no"
                       <?php  
                         if($datiModuloRegistrazione["richiediPassword"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                    </div>
                 </div>

            <div class="form-group">
                 <label for="select1" class="col-sm-2 control-label">Richiedi gruppo </label>
                 <div class="col-sm-10">
                       <label class="radio-inline">
                         <input type="radio" name="richiediGruppo" id="inlineRadio1" value="si"
                      <?php
                          if($datiModuloRegistrazione["richiediGruppo"]=="si") {
                            echo"CHECKED";
                         }
                      ?>
                         > si
                       </label>
                        <label class="radio-inline">
                         <input type="radio" name="richiediGruppo" id="inlineRadio2" value="no"
                       <?php  
                         if($datiModuloRegistrazione["richiediGruppo"]=="no") { // se il valore = no aggiunge la parola checked
                            echo"CHECKED";
                         }
                       ?>
                         > no
                       </label>
                </div>
            </div>

                <h3>Email di conferma</h3>

                <div class="form-group">
                    <label for="select1" class="col-sm-2 control-label">Invia password </label>
                    <div class="col-sm-10">
                        <label class="radio-inline">
                            <input type="radio" name="inviaPasswordViaEmail" id="inlineRadio1" value="si"
                            <?php
                                if($datiModuloRegistrazione["inviaPasswordViaEmail"]=="si") {
                                  echo"CHECKED";
                               }
                            ?>
                         > si
                        </label>
                        <label class="radio-inline">
                            <input type="radio" name="inviaPasswordViaEmail" id="inlineRadio2" value="no"
                            <?php  
                              if($datiModuloRegistrazione["inviaPasswordViaEmail"]=="no") { // se il valore = no aggiunge la parola checked
                                 echo"CHECKED";
                              }
                            ?>
                         > no
                       </label>
                    </div>
                </div>
                <?php	
                    echo"<div class=\"form-group\">
                        <div class=\"col-sm-12\">
                            <h4>Testo email di conferma</h4>
                            <textarea class=\"form-control editor\" rows=\"15\" id=\"contenutoEmailRegistrazione\" name=\"contenutoEmailRegistrazione\">{$datiModuloRegistrazione["contenutoEmailRegistrazione"]}</textarea>
                        </div>
                    </div>";
                ?>
              <div class="form-group">
                <div class="col-sm-12">
                    <hr>
                    <button type="button" class="btn btn-primary pull-right" onclick=document.formAggiornamentoModuloRegistrazione.submit()><i class="fa fa-check"></i> Salva</button>
                </div>
              </div>
                
            <h3>Etichette</h3>
            <div class="row tagAssociati">
                <?php 
                    $queryTagAssociati = "SELECT * FROM geecAd_etichette WHERE tipo LIKE 'utente'";
                    $risNomi = $geecomDb->eseguiQueryLettura($queryTagAssociati);
                    if($risNomi->num_rows>0) {
                        while($tag = $risNomi->fetch_assoc()) {
                            echo"<span>
                                <a class=\"badge\" id=\"etichetta{$tag["id"]}\" href=\"#\" onclick=\"eliminaEtichetta({$tag["id"]})\">";
                            echo"{$tag["nome"]}";
                            echo"</a></span>";
                        }
                    }
                    else {
                        echo"Nessuna etichetta presente";
                    }
                ?>
            </div>

            <div class="form-group">
                <div class="col-md-6">
                    <div class="input-group extraspace-top">
                        <input type="text" class="form-control" id="nuovaEtichetta" name="nuovoTagArticolo" placeholder="Crea nuova etichetta" />
                        <div class="input-group-addon noPadding">
                            <button type="button" class="btn btn-primary noBorder" onclick="creaEtichetta('utente')"> Crea </button>
                        </div>
                    </div>
                </div>
            </div>
        </form>