<?php
	/**
	*
	* copyright (c) 2013-2017 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	
	session_start();
	session_destroy();
	
	include "../costanti.php";
	include "../gUtil/DbManager.php";
	include "../util.php";
	
	//i dati del database sono definiti nel file costanti.php
	$geecomDb = new DbManager($costantiDatabase);
	
	$impostazioniAspetto = recuperaImpostazioni($geecomDb);

	//se il componente fortino è attivo bisogna aggiungere la parola chiave quando si reindirizza a index.php
	if($impostazioniAspetto["attivaFortino"]=="si") {
		header("Location: index.php?p={$impostazioniAspetto["parolaChiaveFortino"]}");
	}
	else {
		header('Location: index.php');
	}

?>
