<?php
	/**
	*
	* copyright (c) 2013-2020 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/

	include "../../costanti.php";
	include "../../gUtil/DbManager.php";

	session_start();
	if(!isset($_SESSION['geecomAdmin_email'])) {
	  header('Location:index.php');
	}
	else {
            //i dati del database sono definiti nel file costanti.php
            $geecomDb = new DbManager($costantiDatabase);

            //prendo i valori dalla form
            $idComponente = filter_input(INPUT_POST,"idComponente",FILTER_SANITIZE_NUMBER_INT);
            $testo        = filter_input(INPUT_POST,"testo",FILTER_SANITIZE_MAGIC_QUOTES);

            if(isset($_FILES['file'])) {
                    if($_FILES['file']['name']=="") { //se non c'è l'immagine percorsoFoto = vuoto
                            $testo ="";
                    }
                    else { //se c'è l'immagine viene salvata e inserita nel percorso foto
                            move_uploaded_file($_FILES["file"]["tmp_name"], "../../immagini/pagine/".$_FILES['file']['name']);
                            $testo ="immagini/pagine/".$_FILES['file']['name'];
                    }
            }

            //aggiorno le impostazioni con i dati passati in input
            $queryAggiornamentoProdotto = "UPDATE geecAd_composizionePagine SET testo='$testo' WHERE id=$idComponente";
            $geecomDb->eseguiQueryScrittura($queryAggiornamentoProdotto);

            //aggiorno le impostazioni con i dati passati in input
            $queryAggiornamentoProdotto = "SELECT * FROM geecAd_composizionePagine WHERE id=$idComponente";
            $risComponente = $geecomDb->eseguiQueryLettura($queryAggiornamentoProdotto);
            $componente = $risComponente->fetch_assoc();

            header("Location: ../creaPagina.php?&id={$componente["idPagina"]}&status=350");
	}
