<?php

    class Comunicazione {
        private $db;
        private $id;
        private $idUtente;
        private $oggetto;
        private $testo;
        private $tipo;
        private $stato;
        private $priorita;
        private $autore;
        private $dataCreazione;
        
        function __construct($db, $id) {
            $this->db = $db;
            $this->id = $id;
        }
        
        function crea() {
            $this->dataCreazione = date("Y-m-d H:i");
            $query = "INSERT INTO geecAd_comunicazioni VALUES(NULL,$this->idUtente,'$this->tipo','$this->stato','$this->priorita','$this->oggetto','$this->testo','$this->autore','$this->dataCreazione');";
            return $this->db->eseguiQueryCreazione($query);
        }
        
        function modifica() {
            $query = "UPDATE geecAd_comunicazioni SET stato='$this->stato', priorita='$this->priorita', oggetto='$this->oggetto',testo='$this->testo' WHERE id=$this->id";
            $this->db->eseguiQueryScrittura($query);
        }

        function elimina() {
            $this->db->eseguiQueryCancellazione("geecAd_comunicazioni",$this->id);
        }
        
        function caricaDatiDalDatabase() {
            $datiComunicazione = $this->db->leggiSingolaRiga("geecAd_comunicazioni",$this->id);
            $this->idUtente = $datiComunicazione["idUtente"];
            $this->oggetto  = $datiComunicazione["oggetto"];
            $this->testo    = $datiComunicazione["testo"];
            $this->tipo     = $datiComunicazione["tipo"];
            $this->stato    = $datiComunicazione["stato"];
            $this->priorita = $datiComunicazione["priorita"];
            $this->autore   = $datiComunicazione["autore"];
            $this->dataCreazione = $datiComunicazione["dataCreazione"];
        }
        
        function aggiungiRispostaTicket($testo,$nomeUtente) {
            $dataCreazione = date("Y-m-d H:i");
            $query = "INSERT INTO geecAd_risposteTicket VALUES(NULL,$this->id,'$testo','$nomeUtente','$dataCreazione');";
            return $this->db->eseguiQueryCreazione($query);
        }
        
        function getDb() {
            return $this->db;
        }

        function getId() {
            return $this->id;
        }

        function getOggetto() {
            return $this->oggetto;
        }

        function getTesto() {
            return $this->testo;
        }

        function getTipo() {
            return $this->tipo;
        }

        function getAutore() {
            return $this->autore;
        }

        function getDataCreazione() {
            return $this->dataCreazione;
        }
        
        function getIdUtente() {
            return $this->idUtente;
        }

        function getStato() {
            return $this->stato;
        }

        function getPriorita() {
            return $this->priorita;
        }

        function setStato($stato) {
            $this->stato = $stato;
        }

        function setPriorita($priorita) {
            $this->priorita = $priorita;
        }

        function setIdUtente($idUtente) {
            $this->idUtente = $idUtente;
        }

        function setDb($db) {
            $this->db = $db;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setOggetto($oggetto) {
            $this->oggetto = $oggetto;
        }

        function setTesto($testo) {
            $this->testo = $testo;
        }

        function setTipo($tipo) {
            $this->tipo = $tipo;
        }

        function setAutore($autore) {
            $this->autore = $autore;
        }

        function setDataCreazione($dataCreazione) {
            $this->dataCreazione = $dataCreazione;
        }

    }
