<?php
   /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    class Tabella extends GestoreTabella {
        private $tipo;
        
        function construct($id,$classe,$colonne) {
            parent::__construct($id,$classe, $colonne);
        }

        public function aggiungiNuovaRiga($riga, $azioni) {
            $pulsantiAzioni = "";
            if($this->tipo=="normale") { // sono possibili solo le azioni modifica ed elimina
                $pulsantiAzioni .= $this->azioniTipoNormale($azioni);
            }
            else if($this->tipo=="normaleConSpostamento") {
                $pulsantiAzioni .= $this->azioniTipoSpostamento($azioni);
                $pulsantiAzioni .= $this->azioniTipoNormale($azioni);
            }
            else if($this->tipo=="normaleConDuplica") {
                $pulsantiAzioni = $this->azioniTipoNormaleConDuplica($azioni);
            }
            else if($this->tipo == "galleria") {
                
            }
            else { // $this->tipo == contenuto
                
            }
            $riga[count($riga)] = $pulsantiAzioni; // aggiungo i pulsanti
            parent::aggiungiRiga($riga);
        }
        
        public function azioniTipoNormale($azioni) {
            return "<button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='{$azioni[0]}';}\" rel=\"tooltip\" id=\"Modifica\" title=\"Modifica\"><span class=\"glyphicon glyphicon-edit\"></span></button>
                <button type=\"button\" class=\"btn btn-danger\" onclick=\"{$azioni[1]}\"><span class=\"glyphicon glyphicon-remove\" rel=\"tooltip\" id=\"Elimina\" title=\"Elimina\"></span></button>";
        }

        public function azioniTipoNormaleConDuplica($azioni) {
            return "<button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='{$azioni[0]}';}\" rel=\"tooltip\" id=\"Modifica\" title=\"Modifica\"><span class=\"glyphicon glyphicon-edit\"></span></button>
                <button type=\"button\" class=\"btn btn-default\" onclick=\"{$azioni[1]}\"  rel=\"tooltip\" id=\"Duplica\" title=\"Duplica\"><span class=\"glyphicon glyphicon-copy\"></span> </button>
                <button type=\"button\" class=\"btn btn-danger\" onclick=\"{$azioni[2]}\"><span class=\"glyphicon glyphicon-remove\" rel=\"tooltip\" id=\"Elimina\" title=\"Elimina\"></span></button>";
        }
        
        public function azioniTipoSpostamento($azioni) {
            return "<button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"vociMenu/spostaVoceMenuInAlto.php?pos={$voceMenu["posizione"]}&idMenu=$idMenu\";}><span class=\"glyphicon glyphicon-arrow-up\"></span>Sposta </button>
                <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"vociMenu/spostaVoceMenuInBasso.php?pos={$voceMenu["posizione"]}&idMenu=$idMenu\";}><span class=\"glyphicon glyphicon-arrow-down\"></span>Sposta </button>";
        }
        
        public function azioniTipoNormaleConSpostamento($azioni) {
            return "<button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"vociMenu/spostaVoceMenuInAlto.php?pos={$voceMenu["posizione"]}&idMenu=$idMenu\";}><span class=\"glyphicon glyphicon-arrow-up\"></span>Sposta </button>
                <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"vociMenu/spostaVoceMenuInBasso.php?pos={$voceMenu["posizione"]}&idMenu=$idMenu\";}><span class=\"glyphicon glyphicon-arrow-down\"></span>Sposta </button>"
                .$this->azioniTipoNormale($azioni);
        }
        
        function getTipo() {
            return $this->tipo;
        }

        function setTipo($tipo) {
            $this->tipo = $tipo;
        }
    }
