<?php

    class VocePrimaNota {
        private $db;
        private $id;
        private $importo; 
        private $tipo;
        private $etichetta;
        private $tipoPagamento;
        private $descrizione;
        private $dataOperazione;
        private $dataCreazione;
        
        function __construct($db, $id, $importo=0, $tipo="", $etichetta = "", $tipoPagamento = "", $descrizione="", $dataOperazione=null, $dataCreazione=null) {
            $this->db = $db;
            $this->id = $id;
            $this->importo = $importo;
            $this->tipo = $tipo;
            $this->etichetta = $etichetta;
            $this->tipoPagamento = $tipoPagamento;
            $this->descrizione = $descrizione;
            $this->dataOperazione = $dataOperazione;
            $this->dataCreazione = $dataCreazione;
        }

        function crea() {
            $query = "INSERT INTO `geecAd_vociPrimaNota` (`id`, `descrizione`, `importo`, `tipo`, `etichetta`, `metodoPagamento`, `dataOperazione`) "
                    . "VALUES (NULL, '$this->descrizione', '$this->importo', '$this->tipo', '$this->etichetta', '$this->tipoPagamento', '$this->dataOperazione')";
            $this->id = $this->db->eseguiQueryCreazione($query);
            return $this->id;
        }
        
        function modifica() {
            $query = "UPDATE `geecAd_vociPrimaNota` SET descrizione='$this->descrizione', importo='$this->importo', tipo='$this->tipo', etichetta='$this->etichetta', metodoPagamento='$this->tipoPagamento', dataOperazione='$this->dataOperazione' WHERE id=$this->id";
            $this->db->eseguiQueryScrittura($query);
        }
        
        function elimina() {
            $this->db->eseguiQueryCancellazione("geecAd_vociPrimaNota",$this->id);
        }
        
        function getId() {
            return $this->id;
        }

        function getImporto() {
            return $this->importo;
        }

        function getTipo() {
            return $this->tipo;
        }

        function getDescrizione() {
            return $this->descrizione;
        }

        function getDataOperazione() {
            return $this->dataOperazione;
        }

        function getDataCreazione() {
            return $this->dataCreazione;
        }

        function getEtichetta() {
            return $this->etichetta;
        }

        function getTipoPagamento() {
            return $this->tipoPagamento;
        }

        function setId($id){
            $this->id = $id;
        }

        function setImporto($importo){
            $this->importo = $importo;
        }

        function setTipo($tipo){
            $this->tipo = $tipo;
        }

        function setDescrizione($descrizione){
            $this->descrizione = $descrizione;
        }

        function setDataOperazione($dataOperazione){
            $this->dataOperazione = $dataOperazione;
        }

        function setDataCreazione($dataCreazione){
            $this->dataCreazione = $dataCreazione;
        }

        function setEtichetta($etichetta) {
            $this->etichetta = $etichetta;
        }

        function setTipoPagamento($tipoPagamento) {
            $this->tipoPagamento = $tipoPagamento;
        }
    }