<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%17uso-del-logo-geecom
    */

    class ComponenteVisualizzatoreRisorse extends Componente {
        private $id;
        private $titolo;
        private $descrizione;
        private $categoria;
        private $filtrabile;
        private $aTuttaLarghezza;
        private $senzaBordi;
        private $classeElementi;
        
        function __construct($db, $id) {
            parent::__construct($db, "Visualizzatore risorse","geec_visualizzatoriRisorsePrivate");
            $this->id = $id;
            $this->titolo = "";
            $this->descrizione = "";
            $this->categoria = 0;
            $this->filtrabile = "";
            $this->aTuttaLarghezza = "";
            $this->senzaBordi = "";
            $this->classeElementi = "";
        }
        
        function caricaDatiDalDatabase() {
            if($this->id>0) {
                
            }
        }
        
        function creaOccorrenza() {
            $query = "INSERT INTO geec_visualizzatoriRisorsePrivate VALUES(NULL,'$this->titolo',$this->categoria,'$this->descrizione','$this->filtrabile','$this->aTuttaLarghezza','$this->senzaBordi','$this->classeElementi')";
            $this->id = parent::getDb()->eseguiQueryCreazione($query);
            return $this->id;
        }
        
        function modificaOccorrenza() {
            $query = "UPDATE geec_visualizzatoriRisorsePrivate SET nome='$this->titolo', categoria='$this->categoria', descrizione='$this->descrizione', filtrabile='$this->filtrabile', aTuttaLarghezza='$this->aTuttaLarghezza', senzaBordi='$this->senzaBordi', classeElementi='$this->classeElementi' WHERE id=$this->id";
            parent::getDb()->eseguiQueryScrittura($query);
        }
        
        // getter & setter
        function getId() {
            return $this->id;
        }

        function getTitolo() {
            return $this->titolo;
        }

        function getDescrizione() {
            return $this->descrizione;
        }

        function getCategoria() {
            return $this->categoria;
        }

        function getFiltrabile() {
            return $this->filtrabile;
        }

        function getATuttaLarghezza() {
            return $this->aTuttaLarghezza;
        }

        function getSenzaBordi() {
            return $this->senzaBordi;
        }
        
        function getClasseElementi() {
            return $this->classeElementi;
        }

        function setClasseElementi($classeElementi) {
            $this->classeElementi = $classeElementi;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setTitolo($titolo) {
            $this->titolo = $titolo;
        }

        function setDescrizione($descrizione) {
            $this->descrizione = $descrizione;
        }

        function setCategoria($categoria) {
            $this->categoria = $categoria;
        }

        function setFiltrabile($filtrabile) {
            $this->filtrabile = $filtrabile;
        }

        function setATuttaLarghezza($aTuttaLarghezza) {
            $this->aTuttaLarghezza = $aTuttaLarghezza;
        }

        function setSenzaBordi($senzaBordi) {
            $this->senzaBordi = $senzaBordi;
        }

    }
