<?php
	/**
	*
	* copyright (c) 2013-2015 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	
	include "../gUtil/DbManager.php";
	include "../costanti.php";
	include "../util.php";
        
	session_start();
	if(!isset($_SESSION["geecomUser_email"])) {
		header("Location: index.php");
	}
	else {

                $geecomDb = new DbManager($costantiDatabase);		
		
		//prendo i valori dalla form
		$oggetto = $geecomDb->escapeString($_POST["oggetto"]);
		$testo   = $geecomDb->escapeString($_POST["testo"]);
		$gruppiDestinatari  = $geecomDb->escapeString($_POST["idGruppi"]);

		$data = date("Y-m-d");
		$queryNuovoMessaggio = "INSERT INTO geecAd_comunicazioni VALUES(NULL,{$_SESSION["geecomUser_id"]},'segnalazione','','','$oggetto','$testo','{$_SESSION["geecomUser_nomeCognome"]}','$data');";
		$geecomDb->eseguiQueryScrittura($queryNuovoMessaggio);
		$idComunicazione = $geecomDb->idUltimoElemento();
		
		foreach($gruppiDestinatari as $gruppoDestinatario) {
                    $queryInserimentoGruppi="INSERT INTO geecAd_gruppiDestinatari VALUES(NULL,$idComunicazione,0,$gruppoDestinatario)";
                    $geecomDb->eseguiQueryScrittura($queryInserimentoGruppi);
		}
		
		//estraggo dal db tutti gli utenti a cui visogna inviare l'email
		$queryUtenti="SELECT * FROM geecAd_gruppiUtenti AS gu JOIN geecAd_utenti AS u ON gu.idUtente = u.id WHERE gu.idGruppo IN (SELECT idGruppo FROM geecAd_gruppiDestinatari WHERE idComunicazione=$idComunicazione)";
		$risUtenti = $geecomDb->eseguiQueryLettura($queryUtenti);
		
		$impostazioni = recuperaImpostazioni($geecomDb);		
		
		require "../phpMailer/class.phpmailer.php";
		require "../phpMailer/class.smtp.php";
		$messaggio = new PHPmailer();
				
		//invio le email a tutti gli utenti interessati
		inviaEmail($messaggio,$impostazioni,$risUtenti,$oggetto,$testo);
		
		//dato che è una segnalazione è necessario inviare anche le email anche agli amministratori
		$queryUtenti="SELECT * FROM geecAd_admin";
		$risAdmin = $geecomDb->eseguiQueryLettura($queryUtenti);
		inviaEmail($messaggio,$impostazioni,$risAdmin,$oggetto,$testo);
    
		header("Location: ../comunicazioni.php?tipo=segnalazione&status=1");
	}
