<?php 
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";

    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $operazione = $geecomDb->escapeString(filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING));
    
    session_start();
    if($operazione=="recuperaUtentiGruppo") {
        controlloAccesso();
        $idGruppo = filter_input(INPUT_POST,"idGruppo",FILTER_SANITIZE_NUMBER_INT);
        $queryNomiGruppi = "SELECT * FROM geecAd_utenti WHERE id IN (SELECT idUtente FROM geecAd_gruppiUtenti WHERE idGruppo={$idGruppo})";
        $risNomi = $geecomDb->eseguiQueryLettura($queryNomiGruppi);
        while($gruppo=$risNomi->fetch_assoc()) {
            echo"<option value=\"{$gruppo["id"]}\"> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
        }
    }
    
    /*
     * questa funzione viene usata nei rami if che richiedono un controllo
     * se si è amministratori, altrimenti chiunque potrebbe aggiorare le tabelle
     */
    function controlloAccesso() {
        if(!isset($_SESSION["geecomAdmin_email"])) {
            header("Location: ../index.php");
        }
    }