<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    /*
        include il css comune a tutte le pagine, più la favicon
    */

    // se questo file è richiamato dai componenti è necessario un prefisso che indica di andare a 
    // prendere le informazioni al livello superiore
    if(strpos($_SERVER["PHP_SELF"],"componenti")>-1) {
        $prefissoTemplate = "../../";
    }
    else {
        $prefissoTemplate = "";	
    }

?>
    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/bootstrap/bootstrap.min.css">

    <!-- Font Awesome JS -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css" crossorigin="anonymous">	

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Maven+Pro:400,500" rel="stylesheet">

    <!-- Switchery -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/switchery/switchery.min.css">

    <!-- Dropzone -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/dropzone/dropzone.min.css">

    <!-- Bootstrap Slider -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/bootstrap-slider/css/bootstrap-slider.min.css">

    <!-- Switchery -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/switchery/switchery.min.css">

    <!-- Bootsrap select -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/bootstrap-select/bootstrap-select.min.css">

    <!-- Animate on Scroll -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>plugins/aos/aos.css">
    
    <!-- Data Table --> 
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.18/fh-3.1.4/datatables.min.css"/>
    
    <?php 
        // creo la root che contiene le impostazioni generali dei colori e breaking point
        UtilTemplate::stampaRoot($configurazioneAspetto);
    ?>
     
    <!-- Custom CSS -->
    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>template/css/area-riservata.css">

    <link rel="stylesheet" href="<?php echo $prefissoTemplate; ?>template/stile.css">
