    /*
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
   
    //usata in tutte le pagine dell'amministrazione quando l'utente vuole cambiare password
    function validazionePassword() {
        var pass  = $('#password').val();
        var pass2 = $('#confermaPassword').val();
        if(pass==pass2 && pass!="") {
            document.formCambiaPassword.submit();
        }
        else if(pass=="") {
            alert("il campo password è vuoto");
        }
        else {
            alert("le password devono coincidere");
        }
    }
    
    /*
     * funzione per creare le categorie
     * prende in input il tipo di categoria e un prefisso da inserire nel percorso
     * per arrivare al controller
     */
    function creaCategoria(prefisso,tipoCategoria) {
        var nome        = document.getElementById("nomeCategoria").value;
        var descrizione = document.getElementById("descrizioneCategoria").value;
        var tipoVisualizzazione     = $("input[name='tipoVisualizzazione']:checked"). val();
        var numeroArticoliPerPagina = document.getElementById("numeroArticoliPerPagina").value;
        var categoriaMadre          = document.getElementById("categoriaMadre").value;
        var ordinamento             = document.getElementById("ordinamento").value;
        
        $.ajax({
            type:"POST",
            url:prefisso+"controller/controllerCategoria.php",
            data:{
                operazione:'crea',
                idCategoria:0,
                categoriaMadre:categoriaMadre,
                nome:nome,
                tipo:tipoCategoria,
                descrizione:descrizione,
                tipoVisualizzazione: tipoVisualizzazione,
                numeroArticoliPerPagina:numeroArticoliPerPagina,
                ordinamento:ordinamento
            },
            success:function(esito) {
                if(esito=="ok") {
                    location.reload();
                }
            },
            error: function (jqXHR, exception) {
               alert(jqXHR.status+" "+ exception);
           }
        });
    }
    
    function eliminaCategoria(prefisso) {
        var id = document.getElementById("categoriaDaEliminare").value;
        $.ajax({
            type:"POST",
            url:prefisso+"controller/controllerCategoria.php",
            data:{
                operazione:'elimina',
                id:id
            },
            success:function(esito) {
                if(esito=="ok") {
                    location.reload();
                }
            },
            error: function (jqXHR, exception) {
               alert(jqXHR.status+" "+ exception);
           }
        });
    }