<?php

    class VisualizzatoreDashboard extends VisualizzatoreComponente {
        private $db;
        private $tipoUtente;
        
        function __construct($db) {
            parent::__construct($db);
        }
        
        // sovrascrivo il metodo creaSezione di VisualizzatoreComponente
        function creaSezione($dati) {
            $this->tipoUtente = $dati;
            echo "<section class=\"content\">
                    <div class=\"container-fluid\">
                        <div class=\"row clearfix\">
                            <div class=\"col-xs-12\">
                                <div class=\"card\">
                                    <div class=\"body\">
                                       <div class=\"row clearfix\">";
                                            $query = "SELECT * FROM geec_elementiDashboard WHERE idDashboard={$dati["idElemento"]}";
                                            $ris = parent::getDb()->eseguiQueryLettura($query);
                                            while($elemento = $ris->fetch_assoc()) {
                                                $this->creaElementoDashboard($elemento["icona"],$elemento["tabella"],$elemento["etichetta"]);
                                            }
                                        echo"</div>
                                     </div>
                                   </div>
                            </div>
                        </div>
                     </div>
                </section>";
        }
        
        function creaElementoDashboard($icona,$tabella,$etichetta) {
            $numero = parent::getDb()->contaRigheTabella($tabella);
            echo "<div class=\"col-lg-6 col-md-4 col-sm-6 col-xs-12 m-b-20\">
                    <div class=\"info-box bg-green hover-expand-effect\">
                         <div class=\"icon\">
                             <i class=\"material-icons\">$icona</i>
                         </div>
                         <div class=\"content\">
                             <div class=\"text text-uppercase\">$etichetta</div>
                             <div class=\"number\">$numero</div>
                         </div>
                    </div>
                </div>";
        }
    }