<?php
    /*
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom

    */  
?>
    <div class="wrapper">
        <?php
            include "template/include/menuPrincipale.php";
        ?>

        <!-- Contenuto principale  -->
        <div id="content" class="p-0 extramargin">
		<?php
                    include "template/include/barraSuperiore.php";
		?>
		<main class="py-4">
                    <div class="container">
                    <?php
                        $queryComponentiDaMostrare = "SELECT c.id, cm.nome, c.testo, c.posizione FROM geecAd_composizionePagine AS c JOIN geecAd_componenti AS cm ON c.idComponente=cm.id WHERE idPagina={$pagina["id"]} ORDER BY c.posizione ASC";
                        $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);
                        while($componente = $risComponenti->fetch_assoc()) { 
                            if($componente["nome"]=="Intestazione") {
                                stampaIntestazione($componente);
                            }
                            else if($componente["nome"]=="Testo") {
                                  stampaTesto($componente);
                            }
                            if($componente["nome"]=="Html") {
                                 stampaCodiceHtml($componente);
                            }
                            if($componente["nome"]=="Immagine") {
                                 stampaImmagine($componente);
                            }
                            if($componente["nome"]=="Includi codice") {
                                 includiCodice($componente);
                            }
                        }
                    ?>
                    <h2 class="page-title">Il tuo profilo </h2>

		     <!-- Start -->
		             <div class="card">
				    <?php 
				    	if(isset($_GET["status"])) {
                                            if($_GET["status"]==200) {
                                                echo"<p class=\"alert alert-success\">Password modificata</p>";
                                            }
                                            else if($_GET["status"]==444) {
                                                echo"<p class=\"alert alert-danger\">Password non modificata, digita correttamente la vecchia password</p>";
                                            }
				    	}
				    ?>
		                 <div class="card-header">
		                     <span class="title">
		                         <?php echo $_SESSION["geecomUser_nomeCognome"];?>
		                     </span>
		                 </div>
		                 <div class="card-body">
		                     <form action="utenti/modificaProfilo.php" method="post" enctype="multipart/form-data">
		                         	<!-- Colonna dati testuali -->
		                                 <div class="form-row">
		                                     <div class="col-sm-6 form-group">
		                                         <label for="email_address">Nome *</label>
	                                                <input type="text" name="nome" class="form-control" value="<?php echo($utente['nome']); ?>" required>
		                                     </div>
		                                     <div class="col-sm-6 form-group">
		                                         <label for="email_address">Cognome *</label>
	                                                <input type="text" id="cognome" name="cognome" class="form-control"  value="<?php echo($utente['cognome']); ?>" required >
		                                     </div>
		                                     <div class="col-12 form-group">
		                                         <label for="immagine">Immagine </label>
	                                                <input type="file" id="immagine" name="immagine" class="form-control" >
		                                     </div>
		                                     <div class="col-sm-6 form-group">
		                                         <label for="email_address">Email *</label>
                                                         <input type="email" name="email" class="form-control"  value="<?php echo($utente['email']); ?>" required="">
		                                     </div>
		                                     <div class="col-sm-6 form-group">
		                                         <label for="telefono">Telefono</label>
	                                                <input type="text" id="telefono" name="telefono" class="form-control" value="<?php echo($utente['telefono']); ?>">
		                                     </div>                                    
		                                     <div class="col-sm-12 form-group">
		                                         <label for="via">Via</label>
		                                                 <input type="text" id="via" name="via" class="form-control" value="<?php echo($utente['via']); ?>">
		                                     </div>
		                                     
		                                     <div class="col-sm-6 form-group">
		                                         <label for="citta">Città *</label>
	                                                <input type="text" id="citta" name="citta" class="form-control" value="<?php echo($utente['citta']); ?>">
		                                     </div>
		                                     
		                                     <div class="col-sm-6 form-group">
		                                         <label for="cap">Cap *</label>
	                                                 <input type="text" id="cap" name="cap" class="form-control" value="<?php echo($utente['cap']); ?>">
		                                     </div>

		                                     <div class="col-sm-12 form-group">
		                                         <label for="organizzazione">Organizzazione</label>
	                                                 <input type="text" id="organizzazione" name="organizzazione" class="form-control" value="<?php echo($utente['organizzazione']); ?>">
		                                     </div>
		                                     
		                                     <div class="col-sm-6 form-group">
		                                         <label for="codiceFiscale">Codice Fiscale</label>
	                                                 <input type="text" id="codiceFiscale" name="codiceFiscale" class="form-control" value="<?php echo($utente['codiceFiscale']); ?>">
		                                     </div>
		                                     
		                                     <div class="col-sm-6 form-group">
		                                         <label for="partitaIva">Partita IVA</label>
	                                                 <input type="text" id="partitaIva" name="partitaIva" class="form-control" value="<?php echo($utente['partitaIva']); ?>">
		                                     </div>
		                                 </div> 
		                                                  
		                       	<button type="submit" class="btn btn-primary "><i class="fas fa-check mr-1"></i>Salva</button>
		                     </form>    
		                 </div>
		             </div>

		     <!-- #END#  -->            
		     <!-- Start -->
		             <div class="card">
		                 <div class="card-header">
		                     <span class="title">
		                         Modifica password
		                     </span>
		                 </div>
		                 <div class="card-body">
		                     <form name="formCambiaPassword" action="utenti/cambiaPassword.php" method="post">
		                     	<div class="form-row">
		                             <div class="col-sm-4 form-group">
		                                 <label for="password">Password Attuale</label>
	                                         <input type="password" id="passwordAttuale" name="passwordAttuale" class="form-control" placeholder="Inserisci la password">
		                             </div>
		                         	<div class="col-sm-4 form-group">
		                                 <label for="password">Nuova Password</label>
	                                        <input type="password" id="password" name="password" class="form-control" placeholder="Inserisci la nuova password">
		                             </div>
		                             <div class="col-sm-4 form-group">
		                                 <label for="password">Ripeti Password</label>
		                                 <input type="password" id="confermaPassword" class="form-control" placeholder="Ripeti la password">
		                             </div>
		                         </div>
		                         <button type="button" class="btn btn-primary " onclick="validazionePassword()"><i class="fas fa-check mr-1"></i>Salva</button>
		                     </form>
		                 </div>
		             </div>
		     		<!-- #END#  -->            

		     
		             <div class="card">
		                 <div class="card-header">
		                     <span class="title">
		                         Dati personali
		                     </span>
		                 </div>
		                 <div class="card-body">
		                     <form>
		                     	<div class="form-row">
		                             <div class="col-12 form-group">
		                                 <p>Clicca sul pulsante qui sotto per sapere quali sono i tuoi dati presenti su questa piattaforma </p>
		                             </div>
		                         </div>
		                         <button type="button" class="btn btn-primary " onclick="{location.href='utenti/scaricaDatiPersonali.php';}"><i class="fas fa-download mr-1"></i>Scarica i tuoi dati</button>
		                     </form>
		                 </div>
		             </div>
			</div>
		 </main>
	    <?php
		    include "template/include/footer.php";
	    ?>
        </div>
    </div>
