<?php
    /*
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom

    */

    $datiModuloRegistrazione  = $geecomDb->leggiSingolaRiga("geecAd_moduliRegistrazione",1);
?>
    <div class="wrapper bg-primary">
        <div class="p-0 extramargin d-flex flex-column w-100">
            <div class="page-wrapper">
                <!-- Inizio contenuto pagina -->
                <main role="main" >
                        <div id="login" class="container d-flex">
                                <div class="card card-container box-shadow-lite my-4 pt-3 mx-auto" data-aos="fade-down">
                                        <div class="text-center">
                                                <img class="img-fluid" src="<?php echo $impostazioni["logo"]; ?>"/>
                                        </div>
                                        <form action=utenti/eseguiRegistrazione.php method="post">
                                        <?php
                                                if($datiModuloRegistrazione["richiediNome"]=="si") {
                                        ?>
                                          <div class="form-group">
                                            <input type="text" class="form-control" id="exampleInputText1" name="nome" placeholder="Nome">
                                         </div>
                                        <?php
                                                }
                                                if($datiModuloRegistrazione["richiediCognome"]=="si") {
                                        ?>
                                          <div class="form-group">
                                            <input type="text" class="form-control" id="exampleInputText1" name="cognome" placeholder="Cognome">
                                         </div>
                                        <?php
                                                }
                                                if($datiModuloRegistrazione["richiediEmail"]=="si") {
                                        ?>
                                          <div class="form-group">
                                            <input type="email" class="form-control" id="exampleInputEmail1" name="email" placeholder="Email">
                                          </div>
                                        <?php
                                                }
                                                if($datiModuloRegistrazione["richiediPassword"]=="si") {
                                        ?>
                                          <div class="form-group">
                                                <input type="password" class="form-control " name="password" id="exampleInputPassword1" placeholder="Password">
                                          </div>
                                        <?php
                                                }
                                                if($datiModuloRegistrazione["richiediGruppo"]=="si") {
                                                    $queryGruppi = "SELECT * FROM geecAd_gruppi";
                                                    $risGruppi = $geecomDb->eseguiQueryLettura($queryGruppi);
                                        ?>
                                            <div class="form-group">
                                                <select name=gruppo class="form-control" >
                                                <?php 
                                                    while($gruppo = $risGruppi->fetch_assoc()) {
                                                        echo"<option value={$gruppo["id"]}>{$gruppo["nomeGruppo"]}</option>";
                                                    }
                                                ?>
                                                </select>
                                            </div>
                                        <?php
                                                }
                                        ?>

                                          <button type="submit" class="btn btn-primary btn-block">Registrati</button>
                                            <?php
                                                if($impostazioni["accessoFacebook"]=="si") {
                                                        include "include/facebookSdk.php";
                                            ?>

                                                        <fb:login-button scope="public_profile,email" onlogin="checkLoginState();">
                                                        </fb:login-button>
                                                        <br><br>
                                            <?php 
                                                }
                                            ?>
                                           <div class="mt-2"><a href="index.php">Hai già un account?</a></div>
                                        </form>


                                </div><!-- /card-container -->
                        </div><!-- /container -->
                </main>
            </div>
        <?php
            include "template/include/footer.php";
        ?>
        </div>
    </div><!-- /fine wrapper --->	
	  

	<!-- Animate on Scroll -->
	<script src="plugins/aos/aos.js"></script>
	<script>
      AOS.init({
        easing: 'ease-in-out-sine'
      });
    </script>
