<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */         

    /**
     * Classe statica che contiene metodi di ausilio a varie parti estetiche del sito
     *
     * @author andrea
     */
    class UtilTemplate {
        
        static function stampaRoot($configurazioneAspetto) {
            echo"<link rel=\"shortcut icon\" href=\"{$configurazioneAspetto["favicon"]}\" />
                <link href=\"{$configurazioneAspetto["linkFont"]}\" rel=\"stylesheet\" type=\"text/css\">
                <style type=\"text/css\">
                :root {
                --input-padding-x: .75rem;
                --input-padding-y: .75rem;
                --primary: {$configurazioneAspetto["colorePrimario"]};
                --primary-over: {$configurazioneAspetto["colorePrimarioHover"]};
                --primary-active: {$configurazioneAspetto["colorePrimarioActive"]};
                --secondary: {$configurazioneAspetto["coloreSecondario"]};
                --secondary-over: {$configurazioneAspetto["coloreSecondarioHover"]};
                --secondary-active: {$configurazioneAspetto["coloreSecondarioActive"]};
                --success: {$configurazioneAspetto["coloreSuccess"]};
                --success-over: {$configurazioneAspetto["coloreSuccessHover"]};
                --success-active: {$configurazioneAspetto["coloreSuccessHover"]};
                --info: {$configurazioneAspetto["coloreInfo"]};
                --info-over: {$configurazioneAspetto["coloreInfoHover"]};
                --info-active: {$configurazioneAspetto["coloreInfoActive"]};
                --warning: {$configurazioneAspetto["coloreWarning"]};
                --warning-over: {$configurazioneAspetto["coloreWarningHover"]};
                --warning-active: {$configurazioneAspetto["coloreWarningActive"]};
                --danger: {$configurazioneAspetto["coloreDanger"]};
                --danger-over: {$configurazioneAspetto["coloreDangerHover"]};
                --danger-active: {$configurazioneAspetto["coloreDangerActive"]};
                --light: {$configurazioneAspetto["coloreLight"]};
                --light-over: {$configurazioneAspetto["coloreLightHover"]};
                --light-active: {$configurazioneAspetto["coloreLightActive"]};
                --dark: {$configurazioneAspetto["coloreDark"]};
                --dark-over: {$configurazioneAspetto["coloreDarkHover"]};
                --dark-active: {$configurazioneAspetto["coloreDarkActive"]};
                --breakpoint-xs: 0;
                --breakpoint-sm: {$configurazioneAspetto["breakingPointsXs"]};
                --breakpoint-md: {$configurazioneAspetto["breakingPointsMd"]};
                --breakpoint-lg: {$configurazioneAspetto["breakingPointsLg"]};
                --breakpoint-xl: {$configurazioneAspetto["breakingPointsXl"]};
            }
            body{ 
                font-family: {$configurazioneAspetto["fontTesti"]}
            }
            h1, h2, h3, h4, h5, h6, 
            .h1, .h2, .h3, .h4, .h5, .h6 { 
                font-family: {$configurazioneAspetto["fontIntestazioni"]}
            }
            </style>";            
        }
        
        static function stampaScrollTop() {
            echo"<button onclick=\"topFunction()\" id=\"toTop\" title=\"Inizio\" class=\"\"><i class=\"fas fa-chevron-up\"></i></button>";
        }
    }