// jQuery page scrolling - richiede jQuery Easing
$(function() {
    $('body').on('click', '.page-scroll a', function(event) {
        var $anchor = $(this);
        $('html, body').stop().animate({
            scrollTop: $($anchor.attr('href')).offset().top
        }, 1500, 'easeInOutExpo');
        event.preventDefault();
    });
});

// Floating label per la form di contatto
$(function() {
    $("body").on("input propertychange", ".floating-label-form-group", function(e) {
        $(this).toggleClass("floating-label-form-group-with-value", !! $(e.target).val());
    }).on("focus", ".floating-label-form-group", function() {
        $(this).addClass("floating-label-form-group-with-focus");
    }).on("blur", ".floating-label-form-group", function() {
        $(this).removeClass("floating-label-form-group-with-focus");
    });
});

// Evidenzia le voci di menu principale on scroll
$('body').scrollspy({
    target: '.navbar-fixed-top'
})

// Chiudi il menu responsivi on click
$('.navbar-collapse ul li a').click(function() {
    $('.navbar-toggle:visible').click();
});
